Program Information

For Windows® 2000, XP and Windows Vista™

Copyright © 1999 - 2008 by Ashampoo Development GmbH & Co. KG

Felix-Wankel-Str. 16, 26125 Oldenburg, Germany

Chief Developer: Niki Bugarcici

Product Management : Jens Meyerholz

User Interface Graphics: Sebastian Strzelecki

Help & Documentation: Henning Seedorf & Sven Krumrey

Use of this program and all its component modules is subject to the terms and conditions of the License Agreement you agreed to when you installed the software.


Welcome

Welcome to Ashampoo WinOptimizer 5

Welcome

10 years of experience at the professional level is what Ashampoo has to offer in what is a very important topic for daily PC use, namely, Windows optimization. This extensive pool of knowledge is now the basis for the new and completely improved Ashampoo WinOptimizer 5. The program is designed to enable both novice and advanced users to cleanse and optimize their Windows system and adapt it to their own needs. The tool feels equally at home optimizing the Windows XP and 2000 operating systems as it does under Windows Vista.

The extremely easy-to-use menus present the individual modules of Ashampoo WinOptimizer 5 and make it possible to measure system performance, deactivate annoying autostart entries, or delete unnecessary files, all with a click of the mouse.

The latest version, WinOptimizer 5, boasts two new modules. They restore mistakenly deleted files with the click of a mouse and save the arrangement of icons on the desktop. And a lot has also been done in the realm of Windows optimization.

To start one of the modules of Ashampoo WinOptimizer 5, simply click on the specified symbol on the screenshot shown above. You will directly be connected to the chapter of the selected module.


About the Program

About Ashampoo WinOptimizer 5

What does this program do?

Just as dirt and trash accumulate in buildings and factories in the course of time, unnecessary data and "leftover files" gradually collect in all Windows® installations as you use them. As this garbage collects it slowly clogs up your system, taking up space and making performance slower and slower. This is partly a natural process and partly the result of the way Windows® is designed. (More details on this are available in several excellent books like the Windows Annoyances series from [image] O'Reilly Press.) See Why Optimize Windows® for more details on the advantages of using Ashampoo WinOptimizer 5. Ashampoo WinOptimizer 5 is like having your own personal cleaning company for your Windows® computer. Like a professional cleaner, the program knows exactly what kind of dirt to look for, where to find it and how to get rid of it efficiently and without damaging anything else.

How is Ashampoo Ashampoo WinOptimizer 5 organized?

Professionals use different cleaning agents for different kinds of dirt. Ashampoo WinOptimizer 5 does not only have several easy-to-use modules that were especially designed for the system performance and stability but also includes an absolutely unique feature - the One-Click-Optimization!

The Modules

Clean Up System
 | Optimize your hard disk drives with Drive Cleaner: Gets rid of general redundant files.
 | Cleanup your internet files with Internet Cleaner: Cleans up the temporary files and "data trail" left by Internet surfing sessions.
 | Cleanup your registry with Registry Optimizer: Cleans up leftover garbage in the Windows® registry. See also the chapter The Windows® Registry.

Optimize Performance

Defrag 2

This is the ultimate option for a simple and efficient defragmentation of your hard drives.

Control the system start with the StartUp Tuner: Disable annoying and malicious programs that waste your system resources.

Process Manager: The Process Manager is an essential tool for dealing with badly-behaved programs.

Privacy and Security

Delete files forever with File Wiper:

Permantly removes files and folders so that they cannot be restored.

Undeleter:

Allows you to recover files which were already deleted .

Tweaking

A control centre for adjustment of your Windows® system settings (Security, Login, Internet Explorer, Messenger, Error Handling and more).

File Encrypter & Decrypter:

Allows you to easily encrypt files to prevent others from accessing your data.

Get rid of annoying advertising IP messages forever:

The IP Spam Blocker enables you to get rid of annoying IP messages generated through the internal Windows® messaging service.

Tune System Settings

Tweaking

A control centre for adjustment of your Windows® system settings (Security, Login, Internet Explorer, Messenger, Error Handling and more).

Visual Styler: The Visual Styler caters to all those who are never satisfied with how their desktop looks.

Faster, smoother and snappier internet surfing with Internet Tuner:

Optimizes your Internet connection for faster, more efficient performance.

Icon Saver: Saves and restores the arrangement of your desktop icons.

Diagnosis and Information

DiskSpace Explorer

Analyzes and displays how the space on your hard disk is used. The information can be sorted dynamically and displayed in graphs.

System Information

Shows detailed information of installed devices and software.This information is helpful for error checks and support features.

System-Benchmark: The System Benchmark module tests the processor (integer and floating point) and memory performance of your system and compares the aggregate result with the performance of reference systems.

File Tools

Windows® Functions

This section provides direct access to the three most useful Windows® tools, making it much easier to use them regularly.

File Splitter & Joiner:

Enables you to split large files into smaller parts. Later you may join or respectivly reassemble the the smaller parts back into the original file.

Delete files forever with File Wiper:

Permantly removes files and folders so that they cannot be restored.

File Encrypter & Decrypter:

Allows you to easily encrypt files to prevent others from accessing your data.

1-Click Optimization

One-Click-Optimization: Ashampoo WinOptimizer 5 optimizes your complete Windows® with only one click. If you use the default options, the functions Drive Cleaner, Registry Optimizer and Internet Cleaner are executed automatically.

All the modules have the same appearance and the same intuitive controls, so as soon as you've learned how to use one of them you can use all of them. Also, all the information you need to use the program is displayed right where you need it in the program screen.


The new Features

New functions

In the fight for fast Windows operation and against sluggish performance, Ashampoo WinOptimizer has a lot of new tricks up its sleeve for the fifth round!

3 new modules
 | Undeleter One mouse click too many — and an important file is lost forever. Really? Not if Undeleter can help it. Undeleter restores deleted files on NTFS, FAT-16, and FAT-32 partitions. Even compressed and encrypted NTFS files and deleted files for instance on USB sticks can be saved in this way. The health status of deleted files is displayed, letting the user know how good the chances are that the files can be restored.
 | Icon Saver Many users move icons around on their desktop to make their daily work as efficient as possible. Unfortunately, this icon arrangement is very easily lost. All it takes is switching the screen resolution. Icon-Saver keeps track of the arrangement of icons on the desktop and can restore them at any time. The module can keep track of several stored desktop configurations.
 | Realtime Backup Real-time Backup monitors all key system processes that the user performs with Ashampoo WinOptimizer 5 to back up the original configuration in real time. If necessary, it's easy to restore the original configuration. Extensive notes are included with all backups.

Tweaking Tools

The Tweaking Tools now offer well over 450 Windows configuration options, including customization settings for Windows logon, the Control Panel, Internet Explorer, Windows Explorer, Windows Media Player, system appearance, system settings and much more.

An indispensable favorite

With its two new modules and countless enhancements, Ashampoo WinOptimizer 5 provides many more features than its predecessor. The following old favorites have been thoroughly revised:

Drive Cleaner:

Drive Cleaner searches the hard drive for files that are no longer needed so they can be deleted upon confirmation from the user. The search algorithm for this module has been considerably improved for increased efficiency. What's more, comprehensive information is now available for the objects that are found.

Tweaking Tools:

Hundreds of settings can easily be switched on and off in this module with a click of the mouse. Not only the visual appearance and general behavior of Windows in certain situations is addressed here, but also topics such as security, Internet, and multimedia. The integration with the real-time backup makes it possible to undo all changes at any time here as well.

Process Manager:

Now, frozen windows from crashed applications are no longer a problem. The Process Manager deals with these applications in short order, kicking them out of memory and off the screen. Suspicious applications can also be immediately terminated in this manner. What's new is that the module not only lists all active processes, but also provides corresponding information on them. A new visual aid also shows which system processes are absolutely necessary so that they are not deleted.

Startup Tuner:

This module displays all autostart entries, allowing users to deactivate irritating programs so that they are no longer executed when Windows starts up. This module also now names the autostart entries that are absolutely necessary and should not be switched off by the user. An overview and recommendation for unnecessary services is now also available for Windows Vista. Requested by many users: Now, Internet Explorer plug-ins can be viewed and deleted if necessary.

File Wiper:

When Windows deletes files, they're not really removed, but rather made available for overwriting. In short: Any data thief can easily restore them. The File Wiper deletes data with sensitive contents completely, making it impossible to restore them even with specialized programs. The new version is fully integrated into the Windows Explorer context menu and can accordingly be opened from that location without starting the main application. In addition, performance has been noticeably improved.

One-click optimization:

No time for anything? One-Click Optimization cleans up any area desired with the single click of a mouse. What's new is the ability to optionally display lists of results.


Using the Program

Using the program

Ashampoo WinOptimizer 5 is designed to be as simple and intuitive as possible. All the modules have the same layout, so as soon as you've learned how to use one module you'll feel at home in all of them. Also, all the information you need is displayed on the main dialog of each function module.

Please note that unexperienced- and new users of the Ashampoo WinOptimizer 5 should always make sure to read the text information displayed in each individual dialog. This will make the work with Ashampoo WinOptimizer 5 much easier!


The Basics

Basics

Ashampoo WinOptimizer 5 was especially designed for easy to use! The main menu of Ashampoo WinOptimizer 5 is the central point from where you can start your work with the single functions. Using the buttons Overview, Modules and Backups, every function of Ashampoo WinOptimizer 5 is just a click away!

Overview

The Overview offers an easy and quick access to every function of Ashampoo WinOptimizer 5. But that´s not all, it also permits a sophisticated new way of optimizing your system!

The System Analyzer

In opposition to the famous One-Click Optimization which speeds up your system by deleting unnecessary files, the System Analyzer researches in deeper regions of your PC. It detects needless system services, nonessential graphic modes and many more to de-allocate important resources again. Choose Fast Scan (scanning the most common parts) or Complete Scan (scanning the whole system) and a detailed list of results will appear.

Information

After scanning you receive a summary of all important system facts.

To start one of the modules of Ashampoo WinOptimizer 5, simply click on the specified symbol on the screenshot shown above. You will directly be connected to the chapter of the selected module.


One-Click Optimization

One-Click Optimization

Ashampoo WinOptimizer 5 includes an absolutely unique feature - the One-Click Optimization! This module optimizes your complete Windows® with only one click. If you use the default options, the functions Drive Cleaner, Registry Optimizer and Internet Cleaner are executed automatically. This was especially designed for unexperienced users. Even without any knowledge of coding or about the Windows® system you will get astonishing and secure cleaning and optimization performance. In the screenshot below you see the main dialog of the One-Click Optimization.

The default settings in all Ashampoo WinOptimizer 5 modules are designed for maximum security. If you're not an experienced Windows® user it's best to leave them as they are - only change them if you know what you're doing and have a good reason for doing it! See the instructions in the individual modules and the corresponding help topics for more details. As you can see in the screenshot below the Drive Cleaner, Registry Optimizer and Internet Cleaner modules are available. By activating or deactivating the check boxes next to the function modules the One-Click Optimization will perform the defined tasks automatically. Move on to the chapter Procedure to find out more about the One-Click Optimization.

Don't change the options settings unless you know what you're doing! Always read the instructions of the dialogs BEFORE changing the options of the function modules.


Procedure

1: Start the Program:
 | Click on the One-Click-Optimization entry on the main dialog of the Ashampoo WinOptimizer 5. Important: Read the information on the start dialog of the One-Click-Optimization module carefully.
2: Select the task you would like to perform: By default the three Cleaning modules are activated.
 | Drive Cleaner To deactivate this module uncheck the checkbox in front of the option.
 | Registry Optimizer To deactivate this module uncheck the checkbox in front of the option
 | Internet Cleaner To deactivate this module uncheck the checkbox in front of the option
3: Perform the selected tasks:
 | Perform the selected task by pressing the "Execute On-Click-Optimizer now" button.

After the One-Click-Optimization is finished the results screen is displayed automatically, with a brief list of all the items found.


Options Menu

The Options Menu of the Ashampoo WinOptimizer 5 is located in the upper right side of the main dialog of the application.

Within the Options Menu you may select the following options:


Options

The options dialog has three tabs where changes can be applied to the program. These tabs are: Language and Skin, Result Window, and Additional Settings.

The default settings in all Ashampoo WinOptimizer 5 modules are designed for maximum security. If you're not an experienced Windows® user it's best to leave them as they are - only change them if you know what you're doing and have a good reason for doing it! See the instructions in the individual modules and the corresponding help topics for more details.

The Language and Skin tab:

In the Language drop-down-box you can choose the program language from the drop-down-box. The Skin drop-down-box allows you to pick a skin. The application appearance will be applied according to the specified skin.

All settings made on the Language and Skin tab become effective without restart.

The Results Window Tab:

In the "Display" field you can change the appearance of the Results Window.

Hide empty categories in result window.

If enabled categories with 0 results will be hid for a better overview.

Open result window maximized

If enabled the result window will be open in maximized mode for a better overview.

The Additional Settings Tab:

In the "Reset all Settings" field you have the possibility to restore the Ashampoo WinOptimizer 5 to the default options.

This option might come in handy if you have made any unwanted changes to the software.

To revert to the default settings press the Reset button.

News Channels

Within the Settings of the News Channels you can activate or deactivate or activate the News Channels of the Ashampoo WinOptimizer 5.


The Internet Menu

Menu > Internet

Buy/Register

Starts the free online registration procedure. You must register the program to be eligible for free updates when they become available! This option is only displayed after you have purchased the program and entered your full version key code. Only displayed in the shareware version. Connects you to the Ashampoo website and opens the page with which you can purchase the program.

Recommend program to a friend and get full version

Enables you to automatically recommend the program to a friend by e-mail. PROFIT FROM YOUR RECOMMENDATIONS: Recommend your favorite software and get presented a full version key! How to make it: In your personal customer area (under "recommendation") you choose one of your registered programs and simply recommend it to friends, relatives, neighbours, etc. With 9 confirmed recommendations you automatically receive your personal full version key for the recommended program.

Ashampoo Homepage

Connects you to the Ashampoo Website.

Ashampoo Products

Connects you to the Product-Information page at Ashampoo's website.

Today's Special Offers

Connects you to the Ashampoo website and displays special offers and featured advertising links to products and services that users of Ashampoo programs may find useful or interesting.

Ashampoo free Service Letter

Connects you to the Ashampoo website page at which you can subscribe to our free e-mail service letter with information about Ashampoo products, updates and special offers.

Online-Updates

Connects you to the Ashampoo website page where you can check for online updates of Ashampoo WinOptimizer 5.

My Ashampoo

Connects you with the "My Ashampoo" -website. You have to login with your user name and password. When logged on, you receive insight on previously received registration keys and recommendations. Furthermore you have the possibility to configure service letter and user profile attitudes.


Using the Function Modules

The chapters in this section provide specific instructions for using the individual modules of Ashampoo WinOptimizer 5. For instructions applying to all modules see the topics in the Using the Program and Reference sections.

Most instructions you need are displayed on-screen

· Almost all of the instructions you need are displayed on the screens of the modules. If you are an experienced Windows® user you should only need this help file for more detailed reference. Everything is designed to be intuitive and self-explanatory.

Please read the Options and Security sections!

· However experienced you are we do advise you to study the Options and Security sections in the chapters devoted to each module before actually using the module. Even though Ashampoo WinOptimizer 5 is a very safe program, cleaning up Windows® does involve a certain degree of risk and it's best to be informed about the relevant issues before you start. Use the following Jump-Links to get all the necessary information about the function groups.

Clean Up System

Optimize Performance

Privacy and Security

Tune System Settings

Diagnosis and Information

File Tools


Clean Up System

Clean Up System
 | Optimize your hard disk drives with Drive Cleaner: Gets rid of general redundant files.
 | Clean up your internet files with Internet Cleaner: Cleans up the temporary files and "data trail" left by Internet surfing sessions.
 | Cleanup your registry with Registry Optimizer: Cleans up leftover garbage in the Windows® registry. See also the chapter The Windows® Registry.


Drive Cleaner

What does Drive Cleaner do?

Drive Cleaner seeks out and deletes redundant files on your computer drive, freeing up valuable space and streamlining your system. The default settings are safe and will only find items that can be safely deleted. If you are not sure about setting the options just leave the standard settings as they are. This will produce good cleanup performance with maximum protection for your system. In the picture below you can see the main dialog of the Drive Cleaner function module. To understand how to use this module move on the Procedure topic of this function module.

Empty the Recycle Bin before deleting anything. When Drive Cleaner deletes items it moves them to the Recycle Bin so that you can recover them if necessary. If the Recycle Bin is empty before you start it's much easier to find the items you want to recover.


Procedure

1: Start the Program:
 | Click on the Drive Cleaner entry on the main dialog of the Ashampoo WinOptimizer 5. Important: Read the information on the start dialog of the Drive Cleaner module carefully.
2: Select the task you would like to perform:
Start new scan | To search for unnecessary files check search for unnecessary files radio button.
Configure settings | To configure the options of the Drive Cleaner mark the radio button next to the task. See the Drive Cleaner Options topic for more information on how to configure the options for this module.
3: Perform the selected task:
 | Perform the selected task by pressing the "Start a new Scan" button.


Results

After the scan

As you can see in the screenshot below after the scan is finished the Results screen is displayed automatically, with a brief list of all the items found.

Even though the standard settings are very safe it's a good idea (and interesting!) to have a quick look at the detailed results using the Show Details button the first few times you use the program. You can view the different types of redundant items found and select them for deletion, or deselect items you don't want to delete. (See Details for more information.) If you haven't emptied the Recycle Bin, do so now! When Drive Cleaner deletes items it moves them to the Recycle Bin so that you can recover them if necessary. If the Recycle Bin is empty before you start it's much easier to find the items you want to recover. Restart Windows® and test all your important applications to make sure that everything is working okay. If you experience any problems make a note of the error messages (programs normally inform you which items they need are missing) and restore them from the Recycle Bin.

Note: After deletion the items selected for deletion will still be visible in the Details list. To clear the list you must exit and restart the module.

Check the results the first time you use the program:

· Drive Cleaner identifies many redundant items on the basis of their file extensions (e.g. *.tmp, *.bak etc). Application programs should not use these extensions for files containing important information, but unfortunately some of them do. We have excluded the known problem candidates in the Exceptions screen, but if you or a less well-known program uses these extensions for important files they will be identified as redundant by Drive Cleaner. This applies in particular for old Windows® 3.1 and DOS programs written before the standards became established.

Because of this you should always click on the Show Details button to advance to the in the Results screen before deleting anything the first couple of times you use the program. If you find important files there you can add them to the exceptions by right-clicking and selecting either Add Highlighted File(s) to Exceptions to exclude the individual files from future scans or Add Highlighted Folder(s) to Exceptions to exclude the entire folders containing the files.

Exercise extreme caution on systems with multiple versions of Windows® installed:

· Deleting files identified as redundant can be very risky on "multi boot" systems with more than one instance of Windows® (the same or other versions) installed. If the other Windows® instances are not on hidden partitions Drive Cleaner will display a warning. Please take this seriously and only use the program on a multi boot system if you are absolutely sure that you know what you are doing! See the Multiple Versions of Windows® topic for more details on this issue.
·

See Options and Security for details.


 Options

Options

Settings in the Options screen

Specific folders:

Include contents of Windows® Temp folder for current user:

Security Rating: GENERALLY SAFE

By definition, the contents of the Windows® Temp folder are there to be deleted after they have been used. Deleting them can only cause problems if the programs using the files in them are still running (this is one of the reasons why you should never run other programs while using Ashampoo WinOptimizer 5). This option only finds the items in the Windows® Temp folder of the current user and using it should be completely safe.

Include contents of Windows® Temp folder for all users:

Security Rating: GENERALLY SAFE / CAUTION ON SERVERS

The same applies here as for the Windows® Temp folder for the current user. If there are any files here belonging to applications used by other users the applications are already closed, otherwise the other users would still be using the computer! This doesn't apply on servers however, where other users may still be using the files. DON'T activate this option if your computer is being used as a server!

Associations:

Scan for orphaned shortcuts (*.LNK):

Security Rating: SAFE

For a number of reasons, Windows® and Windows® applications often "forget" to delete shortcuts when they are no longer needed. These orphaned shortcuts serve no useful purpose and can always be deleted because the objects they refer to no longer exist -- even if you tried to use them you would just get an error message.

Scan for orphaned DOS program shortcuts (*.PIF):

Security Rating: GENERALLY SAFE

The same applies to orphaned DOS program shortcuts as to Windows® shortcuts, but with one exception: Although they are just as useless as Windows® shortcuts because they point to objects that don't exist you may still want to keep them. This is because the .PIF shortcut files for DOS programs contain all the settings you need for running the program they refer to. If the .PIF file is the only place where you have the settings you need for a DOS program you still want to run you definitely want to keep it! If you have any DOS programs like this you should check your results in Details before deleting anything!

Write protected:

Ignore write-protected files and folders in use (recommended):

Security Rating: POTENTIALLY DANGEROUS

Files are not normally write-protected, and if they are there's probably a good reason for it. For example, programs often write-protect .tmp (temporary), .bak (backup) and other files that they need to access. Don't activate this option unless you know what you're doing, and if you do select it always check the Details screens in Results before deleting anything!


 Details

Details

Tip:

Right-clicking anywhere in the Details window displays additional functions in a pop-up menu. Click here for more information.

Highlighting Items:

Clicking on an entry highlights it. To select a consecutive block of items hold down SHIFT and click in the list. To select multiple items out of order hold down CTRL and click in the list.

Items found by search filters:

These are the results of the search using the Filters settings (e.g. *.tmp and *.bak). Deleting these items is almost always safe unless you have old programs (particularly DOS programs) that use the extensions defined in the Filters screen for important files -- or if you yourself use these extensions for important files. If you do, just select the Exceptions button and add these files or folders to exclude them from the scans.

Items in temporary folders:

These are the results of the search for items in the Windows® temporary folders. Since these files can be deleted by definition it is always OK to delete them, provided no programs using them are currently running. (This is one of the reasons why you should never have other programs running when using Ashampoo WinOptimizer 5.)

Orphaned shortcuts and contents of the Recent Documents list in the Start menu:

For a number of reasons, Windows® and Windows® applications often "forget" to delete shortcuts when they are no longer needed. These lost shortcuts serve no useful purpose and can always be deleted because the objects they refer to no longer exist - even if you tried to use them you would just get an error message.

Drive Cleaner can find both orphaned Windows® shortcuts (*.lnk) and orphaned DOS shortcuts (*.pif). See Options for details.


Popup Menu

Choose selected objects:

Selects (marks) the currently highlighted items for deletion. Selected items will be deleted when you select Delete in the Results screen.

DON'T choose selected objects:

Deselects highlighted items (if they were selected). Deselected items will not be deleted when you select Delete in the Results screen.

Select ALL objects:

Selects all the items in the current list for deletion. All of the items will be deleted when you select Delete in the Results screen.

Select NO object:

Deselects all the items in the current list. None of the items will be deleted when you select Delete in the Results screen.

Help:

Displays this Help file.

Open folder from 1st file in Windows® Explorer:

Opens the folder containing the first highlighted file on the list in the Windows® Explorer so that you can view the files.

Enter 1st selected folder as exception:

Adds all the highlighted folders to the Exceptions list. The contents of these folders will be ignored the next time you perform a scan. Items in these folders will also be deselected in the Details list now so that they will not be deleted in the current session.


Security

File and folder optimization is much less risky than editing and cleaning up the registry. In most cases it is very unlikely that applications or your Windows® system will malfunction or stop working completely when Ashampoo WinOptimizer 5 deletes files and folders identified as redundant.

Redundant files identified by their extensions

Ashampoo WinOptimizer 5 identifies some file types as redundant on the basis of their filename extensions. This is almost always safe, but only almost. For example, for reasons best known to the programmers the Eudora® e-mail program has an important file called donotdel.tmp (this is included in the Exceptions list and won't be deleted by Drive Cleaner). If either you or an unknown program use extensions like .tmp and .bak for crucial files Drive Cleaner will identify them as redundant.

If this happens simply locate the files in question in the Recycle Bin and restore them. (Yet another good reason to check everything thoroughly before emptying the Recycle Bin -- see below.)

This risk is particularly high for older applications written before the current conventions were established, especially DOS programs.

All deleted files are stored in the Recycle Bin

Files deleted by Ashampoo WinOptimizer 5 can always be recovered. Rather than actually deleting files directly, Ashampoo WinOptimizer 5 simply moves them to the Recycle Bin, where they are stored until the bin is actively emptied by the user.


Registry Optimizer

What does Registry Optimizer do?

Registry Optimizer seeks out and deletes redundant entries in the Windows® registry. This can speed up your system by reducing the size of the registry, which reduces the processing overhead required every time the registry is accessed. See The Windows® Registry for a more detailed explanation of the registry and why keeping it clean is a good idea. Registry Optimizer can also find and delete registry entries that can compromise your privacy and security. In the screenshot below you see the main dialog of the Registry Optimizer.

Don't change the options settings unless you know what you're doing! Always read the instructions of the dialogs BEFORE changing the options of the function modules. Use the default settings if you are inexperienced. The default settings are safe and will only find items that can be safely deleted. If you are not sure about setting the options just leave the standard settings as they are. This will produce good cleanup performance with maximum protection for your system.


Procedure

1: Start the Program
 | Click on the Registry Optimizer entry in the main menu of the Ashampoo WinOptimizer 5. Read the information on the start screen of the Registry Optimizer module carefully.
2: Select the task you would like to perform
Start new scan | Using this radio button will start Registry Cleaning search.
Configure settings | Select the Configure options for this module button and check that the search options correspond to what you want to search for. See Options for details on the options of this module.
Manage backups | If you would like to restore or delete the backup files which where created by the Registry Optimizer use this option.
3: Perform the selected task:
 | Perform the selected task by pressing the appropriate button.

The Results screen is displayed automatically when the scan is completed.


Results

After the scan

As shown in the picture below after the scan is finished the Results screen is displayed automatically, with a brief list of all the items found. It's a good idea to check the detailed results the first few times you use the program to make sure that nothing you want to keep is selected for deletion. You can view the different types of redundant registry entries found and select them for deletion, or deselect items you don't want to delete.

After checking the Details screen select OK to return to the Results screen and then click on the Delete button to remove the redundant entries from the registry. A backup copy is generated automatically. See Backups / Restoring Changes for details. Restart Windows® and test all your important applications to make sure that everything is working okay. If you experience any problems make a note of the error messages (programs normally inform you which items they need are missing) and restore them with the Backups function.

Notes:

After deletion the items selected for deletion will still be visible in the Details list. To clear the list you must exit and restart the module.


Details

Tip:

Right-clicking in the Details window displays additional functions in a popup menu. Click here for more information.

There are three different categories of results in Registry Optimizer:

1. Complex Entries:

These are registry keys that are part of a complex key.

2. Simple Entries:

These are individual registry keys.

3. MRU Lists:

These are the Most Recently Used lists found in your registry. You can display the contents of each list by clicking on the small + sign to the left of the list name. You can only delete the entire list however, not individual entries.


Popup Menu

Right-clicking anywhere in the Details screen displays this popup menu:

Select marked items:

Selects (marks) the currently highlighted items for deletion. Selected items will be deleted when you select Delete in the Results screen.

DON'T select marked items:

Deselects highlighted items (if they were selected). Deselected items will not be deleted when you select Delete in the Results screen.

Select All:

Selects all the items in the current list for deletion. All of the items will be deleted when you select Delete in the Results screen.

Select None:

Deselects all the items in the current list. None of the items will be deleted when you select Delete in the Results screen.

Help:

Displays this Help file.


Options

The following topics provide some useful background information about the registry entry types you can select in the Options screen of Registry Optimizer.

Select the Drives button and select all the drives you want to include in your scans. Only registry entries referring to selected drives will be included in the results lists.

It's best to exclude CD-ROM drives because all references to CDs not currently in the drive will be classed as redundant and marked for deletion. (Many games add references to CDs to the registry.)

Click on the Entries in the Options screen. You exclude special types of redundant Registry entries from the scan by disabling the checkbox just in front of each listed type. See sample below:


Orphaned System Sound Entries

Clicking on Sounds in the Control Panel displays a dialog with which you can assign sounds to a wide variety of events in both Windows® and other applications. These sounds are stored in WAV files (sound files with the .wav extension).

If a WAV file registered as a system sound is deleted, either manually or by an application it is no longer possible to find and play the sound. The associated registry entry becomes useless and can be safely deleted.

Activating this option tells Registry Optimizer to find orphaned system sounds entries in the registry so that you can delete them.


Orphaned File Type Entries

During installation many applications register one or more file types that can be loaded and/or written by the application. When a file type is registered like this double-clicking on a file of the corresponding type automatically opens the application with the file.

For example, double clicking on a *.doc file usually opens Microsoft® Word, loading the file for editing. If the application is then deleted or moved without uninstalling it properly double-clicking on the registered file types results in an error message because Windows® can no longer find the associated application.

When this option is activated Registry Optimizer detects these orphaned file type registrations and presents them for deletion.


Orphaned COM/OLE Entries

COM objects (Common Interface Objects) are function libraries that are accessible to all Windows® applications. Orphaned COM objects reference applications or files that no longer exist. Sometimes the registry can contain an incorrect path entry so that it isn't possible to find the referenced file even though it actually exists.

The result is that the application can no longer access the COM object's functions, and the corresponding registry entry is effectively redundant.

The same basic situation applies for OLE objects (Object Linking and Embedding). The only difference is that these objects are used for exchanging data between applications. OLE objects are also files and if they are missing or stored in a different folder their registry entries become orphaned and no longer serve any useful purpose.

Activating this option makes Registry Optimizer find these orphaned entries referring to COM and OLE objects.


Orphaned ActiveX Entries

Like COM/OLE objects, ActiveX objects are files that are used to make special functions available to the system. Active-X files have the extension OCX (*.OCX). Unlike OLE/COM objects they can also be accessed and used by applications like Internet browsers.

Since ActiveX objects are files they can be moved or deleted, and it is also possible for the registry entries referencing them to contain incorrect path information. If any of these situations arises it becomes impossible to find the ActiveX files, effectively making them useless to the system until a new entry is added to the registry referencing the correct paths, if they are available.

Activating this option tells Registry Optimizer to find orphaned references to ActiveX objects in the registry and present them for deletion.


Orphaned Shared DLL Entries

DLL files are "library files" used to store functions that every Windows® application can access and use. It's usually possible for any number of applications to access a DLL file at the same time.

Unlike COM/OLE objects, DLL files can't be used to exchange data between applications, and they also can't be used by Internet pages. As the name indicates, "shared DLLs" are used (shared) by multiple applications - usually applications from the same manufacturer. This has the advantage that updating a single DLL file can provide improved or enhanced functionality for all the applications that use the DLL.

Like so many other things, the information about these shared DLLs is stored in the registry. These registry entries can frequently still be found in the registry long after the applications and the DLLs themselves have been deleted. If the applications are moved to a different location or uninstalled incorrectly the registry entries no longer refer to the actual location of the DLL files and the applications are unable to find them.

Activating this option tells Registry Optimizer to find these "orphaned" entries referring to shared DLL files and presents them for deletion.


Orphaned Font Entries

Each font used by Windows® is stored as a separate file in a special Windows® folder. When you install a font it is registered with an entry in the registry that enables Windows® to access and use it.

If the font files are deleted or the fonts are uninstalled incorrectly their registry entries become orphaned, referring to files that no longer exist or can no longer be found. This can also happen if uninstallation is interrupted.

Activating this option tells Registry Optimizer to find such orphaned font entries so that you can delete them.


Orphaned Help File Entries

Every time you open a help file its path is automatically stored in the Windows® registry. Help files are often also opened automatically to display information during the installation of applications, and this also generates help file registry entries.

If you uninstall the application or delete the help file the registry help file path entry becomes orphaned - i.e. it refers to a file that no longer exists. Such orphaned help file entries are completely useless and can be safely deleted.

Activating this option tells Registry Optimizer to find such orphaned help file entries so that you can delete them.

Note: The actual paths to the help files are often valid even though the files themselves no longer exist.


Orphaned Application Path Entries

Every time you start an application its path is automatically stored in the Windows® registry. Such path entries are also often stored during the installation of applications.

If you then uninstall or move the application the path entry in the registry becomes orphaned, i.e. it refers to an application that no longer exists. These path entries are completely useless and can be deleted safely.

Activating this option tells Registry Optimizer to search for such orphaned entries so that you can delete them.

Note: The actual paths to the applications are often valid even though the application files themselves no longer exist.


Orphaned Icon Entries

Virtually all applications, file formats and other visible Windows® objects have their own unique icons that you can click on with the mouse to perform specific actions - such as opening files or starting programs.

Like so many other things, the paths to file format icons and some other icon types are stored in entries in the Windows® registry. In the course of time icons sometimes get deleted or moved. If the object they refer to still exists Windows® automatically displays a standard icon instead.

More frequently both the icon and the object it refers to are moved or deleted. In both cases, the associated registry entry becomes orphaned - i.e. it refers to an object that no longer exists. These entries are completely useless and can be deleted safely.

Activating this option tells Registry Optimizer to find orphaned icon entries so that you can delete them.


MRU Lists

Windows® uses the registry to store a number of lists of files recently opened or accessed by applications, including both Windows® components and third-party programs. These lists are referred to as MRU lists (Most Recently Used).

MRU lists are used so that you can access the files again more easily - they are displayed in a drop-down selection list the next time you start the program, and you can access them directly by selecting them in the list

These lists can compromise security and privacy because they allow anyone with access to your computer to see which files you have been accessing. If you want to prevent this you may want to include the MRU lists in your searches.

However, if you like the convenience that MRU lists provide and security or privacy are not an issue on your machine you can safely exclude them from your searches.

MRU lists you can include in your searches:

Windows® functions and modules:

· Search
· Run
· Windows® MediaPlayer
· Windows® Paint
· WordPad
· Explorer

Third-party applications:

· GetRight download manager
· WinZip

Others may be included if enough users ask for them.


Windows Recent Documents List

This list includes all recent documents and applications. You do not need this information so you can delete these entries.


Empty "open with" list

This list includes the application recently beeing opened with right mouse click, function "open with".


 Security

Security

Since the registry is literally the heart of your Windows® configuration (see The Windows® Registry) optimizing it is a particularly critical process. As you may have discovered if you have ever made a mistake when editing the registry manually, an incorrect registry entry can cause Windows® to malfunction in strange and unpredictable ways.

For example, entries that are actually needed may seem to be orphaned. In other cases an application may behave in a completely unexpected way if a genuinely redundant entry referring to a file or other item that doesn't exist is removed from the registry.

Registry Optimizer always creates backups of all deleted registry entries so that you can restore them if necessary. See Backups / Restoring Changes.


Backups / Restoring Changes

Registry Optimizer stores all changes made to the Windows® registry in backup files. The reasons for doing this are explained in detail in Security.

The Backup function of Registry Optimizer:

Please select Backups in the start screen of Registry Optimizer. This will open the backup folder for your personal user profile. Click on the folder to see all stored backup files.

Below you will see one example for a list of backup files in the backup folder:

The backup files are listed with their names, the date and time they were created and their size in bytes. The size gives you a rough indication of the number of changes stored in the file - the larger the file the more registry changes it contains (surprise!).

The names of the backup files are generated automatically, using the date and time when each file was stored. In the example above, the last backup file was created on 3 th September 2003 at 11:56.

Restoring backups:

1. Select the appropriate file in the list.
2. Double-click on the selected file.
3. Click on Yes at the prompt displayed. The entries in the file are then written to the Windows® registry.
4. Close down and restart Windows® after restoring the registry entries to make sure that all the changes are activated.

Deleting the backup files:

If you are sure you no longer need a specific undo file you can delete it as follows:

1. Select the appropriate file in the list.
2. Click on the "Del" button of your keyboard or right-click on the selected file and choose "Delete" from the context menu. Like deleting other files you have to confirm with Yes at the prompt displayed.


Internet Cleaner

What does Internet Cleaner do?

Using the Internet and surfing the web creates an amazing number and variety of temporary files and data objects on your computer. Almost all this data can be deleted safely.Internet Cleaner seeks out and allows you to delete all the temporary or security-compromising data types created on your machine while you are online. At the same time, it provides mechanisms for maintaining the convenience of these Windows® and web mechanisms. For example, you can create a list of trusted sites whose cookies will be ignored in the searches. In the screenshot below you see the main dialog of the Registry Optimizer.

Don't change the options settings unless you know what you're doing! Always read the instructions of the dialogs BEFORE changing the options of the function modules. Use the default settings if you are inexperienced.


 Procedure

Procedure

1: Start the Program:
 | Click on the Internet Cleaner entry in the main menu Ashampoo WinOptimizer 5. Read the information on the start screen of the Internet Cleaner module carefully.
2: Select the task you would like to perform:
Start new search | Start searching for unnecessary internet files
Adjust settings | If you have more than one browser installed activate the Browser - Profiles and Options in the start screen to change the module settings according to your needs.
Delete History | The Clear History function is necessary for clearing the entries in the Windows® Explorer and MS® Internet Explorer History folder. These entries are handled very differently from the browser history in Netscape®, Opera® and Mozilla must be cleared separately (see the Options screen for further details). To clear the History just click on this button and confirm the prompt displayed.
3: Perform the the selected task:
 | To start the selected function use the appropriate button.

The Results screen is displayed automatically when the scan is completed.

Important notes:

Internet Explorer v. 5 or higher required:

· Microsoft® Internet Explorer v. 5 or higher is required for the Internet Cleaner module (you will get an error message if you try to start Internet Cleaner without IE 4 or higher installed). This is because many of the Internet functions of Windows® are closely integrated with Internet Explorer and Internet Cleaner needs to access program modules of IE5 or higher to do its work.

Full details are not available for Netscape and Opera and Mozilla:

· The Netscape®, Opera® and Mozilla browsers use proprietary database structures to store their cookies, cache, history and other temporary Internet data. It is not currently possible to display detailed listings of the individual items in these databases - you can only choose to delete all their contents together.

Why delete temporary Internet data?

There are basically two reasons for deleting all the temporary and redundant data items created on your computer during Internet surfing sessions:

Wasted space:

· Depending on your browser and Windows® Internet Options settings, the temporary files created while you are online can take up a lot of space. Hundreds of megabytes of wasted hard disk capacity are quite common on machines using the default Windows® settings.

Compromised privacy:

· All these objects create a data trail as broad as a highway that gives anyone with access to your machine, and many websites, full information on everything you have done and everywhere you have been while you were online. If you don't like this idea it's probably high time that you started doing something about it!


Results

After the scan:

When the scan is finished the Results screen is displayed automatically, with a brief list of all the items found.In the picture you can see the results window of the Internet Cleaner.

Deleting redundant items:
 | Even though deleting temporary Internet data is very safe you may want to have a quick look at the detailed results. You can view the different types of redundant items found and select them for deletion, or deselect items you don't want to delete. (See Details and Options/Cookies.)
 | After checking the Details screen select OK to return to the Results screen and then click on the Next -> button to move all the selected items to the Recycle Bin.

Notes:

· After deletion the items selected for deletion will still be visible in the Details list. To clear the list you must exit and restart the module.

· Because of the way Microsoft® Internet Explorer handles its temporary Internet files it is not possible to move them to the Recycle Bin. These items are always deleted immediately. However Netscape®, Opera® and Mozilla items are moved to the Recycle Bin and can be restored.


 Details

Details

Tip:

Right-clicking in the Details window displays additional functions in a popup menu. Click here for more information.

Browser Cache (temporary Internet files):

It's always completely safe to delete all the items in the browser cache. The files here are simply temporary copies of the web pages you have visited recently. The worst thing that can happen is that you may have to wait a few seconds longer the next time you visit the web page, and since the web page has almost certainly changed in the meantime you'll probably have to wait for it to reload anyway.

Cookies:

Deleting cookies is almost always safe. The only exceptions are the cookies created by trusted websites containing genuinely useful information that make browsing the sites easier or more fun. Examples of this include the personalized products lists displayed when you contact Amazon or stored user names and passwords so that you don't need to remember them to log on (although this feature is also a security risk if other users have access to your computer).

Visited Sites:

Deleting the Visited Sites entries is also completely safe. This is just a list of websites that you have visited recently. In Microsoft® Internet Explorer the entries here are used for the autocomplete function and recent sites drop-down list in the browser's Address: field. You only need to keep it if you want to find recently-visited sites that you haven't added to your Favorites list yet. Deleting these entries prevents other users from seeing where you have been on the web.

Visited Sites: Differences between Internet Explorer, Opera and Netscape:

In Opera®, Netscape® and Mozilla deleting the Visited Sites entries also deletes the browser history. In Internet Explorer the situation is a little different. Here, in addition to Internet websites, the History folder also contains details of all the files, drives and other items you have accessed recently on your own computer and other computers on your local network using either MS Internet Explorer or the Windows® Explorer. (This is a direct result of the close integration between Internet Explorer and Microsoft® Windows, which has been the subject of a great deal of controversy over the last couple of years.)

Deleting the Windows® Explorer and Internet Explorer History Folder:

To delete the contents of the Windows® Explorer and Internet Explorer History folder you must select the Empty History Folder option in the Scan screen.

You can display the contents of the History folder by clicking on the History icon in Internet Explorer or Windows® Explorer. You should delete these entries with the Empty History Folder option if you don't want others to see this information on your computer!

Select the Cookies entry and check the settings for searching for cookies. Full explanations are provided on the screen. Deleting cookies is also safe, but you may want to exclude cookies of trusted sites so that you can continue to use the functionality they provide.

Select the Cache, History entry if you want to change the settings for clearing the Browser Cache and clearing the Broswer History (visited URLs). By default both options are activated.


 Options / Cookies

Options / Cookies

The options in the Internet Cleaner module are described in full detail in the Options and Cookies tabs, so there's not really any need to add anything here. In any case, deleting temporary Internet and browser data is almost always completely safe so it's not really possible to cause any damage.

Cookies of trusted sites:

The only things you need to be a little careful about are the cookies created by trusted websites containing genuinely useful information that make browsing the sites easier or more fun. Examples of this include the personalized products lists displayed when you contact Amazon or stored user names and passwords so that you don't need to remember them to log on.

Adding sites to the trusted sites list:

You can add sites that you trust to this list to prevent their cookies from being deleted by Internet Cleaner. Once you have added all the sites you trust you no longer need to check the Details screen before selecting Delete; the cookies of your trusted sites will be reliably excluded from the scans.

Just enter the URL of the site in the field shown on the left and click on Add.

Tip: Perform a scan and check Details after adding a new site to make sure that its cookies have been excluded. (See below for more information.)

Important: Cookie URLs may be different from site URLs!

To be identified properly the URL must be entered exactly as shown in the URL column in the Details screen. The URL identifying a cookie may actually be slightly different from the URL used to access the site with your browser. For example to access a site you might enter www.sitename.com but its cookie URL can be just sitename.com.


Security

The items found and deleted by Internet Cleaner are almost 100% safe. There are no serious security issues. See Details and Options/Cookies for a discussion of the minor security questions regarding cookies of trusted sites.


Restoring Changes

Internet Explorer items are always deleted immediately

Because of the way Microsoft® Internet Explorer handles its temporary Internet files it is not possible to move them to the Recycle Bin. They are always deleted immediately.

Opera

Deleted items for the Opera® and Mozilla browsers are moved to the Recycle Bin and can be restored if necessary. As always, it's a good idea to empty the Recycle Bin before deleting anything with Ashampoo WinOptimizer 5 so that you can more easily identify items you want to restore from the Recycle Bin later.


Optimize Performance

Optimize Performance

Defrag 2

This is the ultimate option for a simple and efficient defragmentation of your hard drives.

Control the system start with the StartUp Tuner: Disable annoying and malicious programs that waste your system resources.

Process Manager: The Process Manager is an essential tool for dealing with badly-behaved programs.


Defrag 2

Defragmenting? What's that?

Defrag 2 turbo-charges your PC: It tidies up your hard disk and that really speeds up your computer.

Every user knows that computers get slower the longer you use them. The problem is the way the hard disk is organized: When you delete a file or other data this leaves a "gap" on the hard disk. The next time you save a file Windows first fills this gap. If there is not enough space it simply breaks up the file into fragments, which it then saves in other locations – wherever space can be found. As you can imagine, reading fragments spread all over the disk takes longer. It is better if all the parts of a file are stored together.

A defragmenter solves this problem by collecting all the "fragmented" parts of your files. It then rearranges them and stores them all in the same place. That is like a shot of fresh energy for your PC – suddenly everything is much snappier again, and you can put off the purchase of a new system for a while.

If that's not quite clear you can think of the information on your hard disk like the things on your desk. When everything is neat and tidy it's easy to find your pen, the stapler and the bills you wanted to pay. If it's chaotic and messy you'll waste more and more time just looking for the things you need. You can save time by organizing everything systematically. For example you could put all your pens in a cup instead of leaving them all over your desk. As you probably know, a "defragmented" desk boosts your productivity considerably.

Defrag 2 reorganizes all the untidy parts of your fragmented files and stores them together so that Windows can find them quickly and efficiently.

No analysis phase: It starts work immediately because the special advanced defragmentation algorithm makes analysis unnecessary!

Operating systems: Windows® 2000, XP, Windows Vista™

Just select a drive you want to defrag and press "Start Defragmentation". Defrag will start automatically.


StartUp Tuner

What does StartUp Tuner do?

In a nutshell, StartUp Tuner lets you see what programs are being launched automatically when you start Windows® and lets you decide whether you want them to be launched or not. In addition to this StartUp Tuner also displays all the entries listed in the Add/Remove Programs application in the Windows® Control Panel and lets you edit and delete them (useful for orphaned entries that no longer serve any useful purpose). In the screenshot below you see the main dialog of the StartUp Tuner.

What are all these programs that get launched automatically?

You've probably noticed that quite a few programs and "services" get launched automatically when you turn on your computer and start up Windows®. The more software you install on your system the more programs get launched automatically on Windows® startup. Nowadays programmers seem to think that their programs are so wonderful that everybody wants to have them loaded all the time, and they set themselves up to launch automatically without even asking you.

Some of these programs, like virus scanners, are genuinely useful, but others just sit there, hogging your computer's resources without doing anything really worthwhile. They use up valuable memory and processor time, and they can even cause errors and system crashes if they conflict with other programs - which is all the more likely with badly-programmed applications that just want to draw attention to themselves.

Programs in the System Tray:

Many auto-launch programs are visible as icons in the System Tray, which is the little box at the right-hand end of the taskbar at the bottom of your screen. Other automatically-started programs are completely invisible - they're running in the background but you never know about them or what they're doing!

Badly-behaved and malicious auto-launch programs and viruses

But that's not all - some automatically-launched programs are annoying or even downright malicious. For example they interrupt you with advice and advertising that you don't want to see, or connect to Internet sites and transfer information or install updates without even telling you, let alone asking you.

Recently there has also been a spate of genuinely malicious auto-launch programs that you can easily install accidentally if you're not careful when you're surfing on the Internet. The best example of these are the "dialer" applications that replace your normal Internet connection with a telephone number that charges you a very high price per minute. But there are also others, like advertising applications that only serve to inform Internet sites about your preferences and activities, and so on. This is where we start to cross the line between programs and viruses.

Control what gets started with StartUp Tuner!

Windows® provides many facilities that can be used to launch programs automatically. Some of them are obvious and easy to locate, others are hidden so well that even experienced users sometimes have trouble finding them.

StartUp Tuner knows about every hiding place. It doggedly seeks out shows you all of the auto-launch programs on your system and lets you decide whether you want them to be run or not. Furthermore, it lets you activate and deactive your auto-launch programs at will, so that you can "turn them on" when you need them and disable them when you don't have any use for them.


Procedure

1: Start the Program
 | Click on the StartUp Tuner entry in the main menu of Ashampoo WinOptimizer 5. Read the information on the start screen of the StartUp Tuner module carefully.
 | Click on the Start button to open the Opions screen of StartUp Tuner. See Options for details.
2: View and Edit Your Auto-launch Entries
 | Select the Autostart Entries entry to display all the auto-launch entries found on your computer. See Autostart Entries for details on displaying and editing the entries.
 | Take a look at all services and deactivate unnecessary services.
 | Here is a list of all applications installed on your system.
 | Watch and edit your HBOs (Browser Helper Objects) which are installed at the Internet Explorer.
 | You need this feature to restore or to delete backups.


 Options

Options

The options for StartUp Tuner control which auto-launch entries the program finds and displays. The default settings find and show all auto-launch entries in all locations. Don't change this unless you have a good reason, otherwise you won't see new entries if they are added to categories that have been disabled!

You can tidy up the display by selecting the Hide empty categories option (see below) at the bottom of the list. Then categories will only be displayed if they contain an entry. Empty categories will be hidden until an entry is added, then they will be displayed

Note:

You must exit and restart StartUp Tuner to apply any changes you make in the Options screen!

Options:

· Entries in the WIN.INI file:

Activates or deactivates display of auto-launch entries found in the win.ini file.

· Entries in the Startup folder:

These options activate or deactivate the display of auto-launch entries found in the Startup folder for both the current user and all users (only applies if you have configured your system for more than one user).

· Entries in the Windows registry:

These options activate or deactivate the display of auto-launch entries found in the Windows® registry for both the current user and all users (only applies if you have configured your system for more than one user).

This is the largest section, because there are a large number of locations in the registry where auto-launch entries can be "hidden", both for the current user and for all users.

· Hide empty categories:

Hides categories that do not currently contain any auto-launch entries. If an entry is added to a category (for example by a program you install) the category will automatically be displayed the next time you start StartUp Tuner.


 Autostart Entries

Autostart Entries

Important Warning

It's important to understand that some auto-launched programs may be necessary for the proper functioning of your Windows® configuration or applications installed on your system. Always make sure that you know what a program is for before you delete its entry - it's best to deactivate it first and see if everything is working properly before you remove it permanently. This is particularly important with programs that are part of Windows® itself.

Click on the Entries button in the Welcome screen to display the Entries screen, which lists all the auto-launch entries found on your computer.

In the main window of the Entries screen you will see a list of entry headings similar to the example on the left.

Each heading (1) represents a different auto-launch category. In the default configuration all categories are shown, even if they are empty. You can change this in the Options screen.

Categories containing entries are identified by a + symbol to the left of the heading (2). To display the entries in the category just click on this symbol.

When you open a category it looks like the example on the left, which shows the entries in the Startup Folder (1) for the current user.

Activating and deactivating entries:

Each entry has a check box (2) to the left of it, which indicates whether it is currently active. To deactivate an entry just click in the check box to clear the x symbol.

In the example the entry for the Encoder Agent application (3) has been deactivated. To activate an entry just click in the check box again so that the x is displayed.

IMPORTANT: You must exit and restart Windows® to apply your changes. Deactivating an entry does not terminate the program in your current Windows® session!

Checking an entry's properties:

Clicking on the Properties button displays the Windows® Properties dialog with the properties of the file referenced by the selected entry. This is very useful for finding out what an entry is for. Click here for details.

Identifying Windows® system entries:

Click on the Version tab in the Properties dialog and check the various items displayed. If the company name is Microsoft and the Product name is something like "Windows xxx Operating System" then this is almost certainly a Windows® entry that you should not delete.

Deleting entries:

To delete an entry select it in the list and click on the Remove button beneath the list. If you're not sure what the entry is for it's best to just deactivate it first (see above) and run your system for a while to make sure that everything is working OK.

Backups:

Backups of all entries you delete are created automatically. The only exception is entries in the WIN.INI file - for technical reasons it is not possible to save backups of these entries. This mean that deleting WIN.INI entries is permanent, so it is probably better to disable them rather than deleting them!

Functions for Experienced Users:

Please don't use these functions unless you understand what you are doing! Adding new auto-launch entries and editing existing entries can cause errors and system malfunctions if done incorrectly! Always store a copy of the original command line (for example in a text file) before making changes so that you can revert to the original version if you make a mistake.

Adding new entries:

Click on the Add button. A dialog is displayed in which you can select the type of entry you want to add and edit its parameters. For experienced users only!.

Editing an entry's command line:

Select the entry you want to edit by clicking on it in the list. You can then edit the contents of its command line in the Command Line field below the list.

When you are finished just click on Edit to store the changes. You are prompted if you want to update the commandline. For experienced users only - this function requires a good understanding of Windows and command line syntax!


Add/Remove Program List

This function is an extra that lets you display and edit the list of installed programs displayed by the Add/Remove Programs application in the Windows® Control Panel.

Background:

Most modern programs you install on your Windows® system register themselves in the Add/Remove Programs application so that you can remove them from your system later if you want to. Due to bugs in the system this list sometimes includes "broken" entries that only display an error message when you select them and entries for programs that have already been removed from your system.

Windows® itself doesn't provide any facilities for deleting these annoying obsolete entries. The Software function in StartUp Tuner lets you delete them. In addition to this experienced users can also edit the names and command lines of the entries to control their functionality.

Hidden entries:

There is another reason why the Software function of StartUp Tuner can be very useful: Some of the entries in the Add/Remove Programs list are hidden, i.e. they are not displayed in the Add/Remove Programs module in the Windows® Control Panel! This is often the case with spyware programs, but it also applies to some system entries as well.

Using the functions:

The contents of the Add/Remove Programs list are shown in the large window in the Add/Remove Program List screen (1):

Deleting entries:

Just select the entry in the list (1) and then click on the Delete Entry button (4). Proceed with care - this action cannot be reversed!

Editing entries:

Select the entry in the list (1) and edit the details in the Name and Command Line fields (2). When you have made your changes click on the Save Edits button (3). For experienced users only!

Cautions:

Deleting entries: Don't delete an entry unless you're sure that it's obsolete - for example after getting an error message when trying to remove a program with the entry in Add/Remove Programs, or if you're certain that the associated program has already been deleted from your system.

Editing entries: Changing the name of an entry is not risky but please don't try to edit the command lines unless you are absolutely sure that you know what you are doing! Mistakes can have unpredictable results - at the very least you can make the entry unusable! This function is intended for experienced users only!


Backups

StartUp Tuner stores all changes made to the Windows® registry in backup files.

The Backup function of StartUp Tuner:

Please select Backups in the startscreen of StartUp Tuner. This will open the backup folder for your personal user profile. Click on the folder to see all stored backup files.

The backup files are listed with their names, the date and time they were created and their size in bytes. The size gives you a rough indication of the number of changes stored in the file - the larger the file the more registry changes it contains (surprise!).

The names of the backup files are generated automatically, using the date and time when each file was stored. In the example above, the last backup file was created on 22 nd September 2003 at 14:04.

Restoring backups:

1. Select the appropriate file in the list.
2. Double-click on the selected file.
3. Click on Yes at the prompt displayed. The entries in the file are then written to the Windows® registry.
4. Close down and restart Windows® after restoring the registry entries to make sure that all the changes are activated.

Deleting the backup files:

If you are sure you no longer need a specific undo file you can delete it as follows:

1. Select the appropriate file in the list.
2. Click on the "Del" button of your keyboard or right-click on the selected file and choose "Delete" from the context menu. Like deleting other files you have to confirm with Yes at the promt displayed.

How to view the content of backup files.

It is quite easy to have a look into a backup file to see the information stored.

1. Select the appropriate file in the list.
2. Right-click on the selected file and choose "Open with" from the context menu" and select an editor. Now you can see all information stored. Please do NOT change anything inside the backup file, otherwise the restoring will fail.


Security

There are two security issues you need to bear in mind when using StartUp Tuner:

1. The possibility that you may deactivate auto-launch programs needed by applications or Windows® itself.

2. Malfunctions caused by errors made when you edit the command lines of auto-launch program entries or entries in the Software screen.

Necessary auto-start programs:

Both normal applications and the operating system itself use the auto-launch facilities provided by Windows® to load programs that they genuinely need - this is why these facilities were created in the first place. It's thus a good idea to be pretty sure you know what a program is before you deactivate it.

If the name doesn't give you a strong indication the best way is to use the Properties button in the Autostart Entries screen and check the information in the Version tab. The details shown here will generally give you a pretty good idea what the entry is.

Always try deactivating entries before deleting them!

Don't delete any entries before you're completely sure it's safe to do so. Always first deactivate an entry first and then test your system for a while to make sure that everything is working properly. If you want to be completely sure it's best not to delete entries at all - when they are deactivated by StartUp Tuner they aren't started, so they don't compromise your system in any way.

Errors in command lines:

The functions for editing the command lines in the Autostart Entries and Software screens are intended for experienced users with a good knowledge of Windows® and command line syntax. Please don't use these functions unless you're really sure you know what you're doing, otherwise you may experience unpredictable errors and even Windows® malfunctions. You have been warned!


Services

View and deactivate unnecessary Windows Services

With this option you can supervise the common services that are loaded when windows starts. Many of the services listed here are unnecessary for most users and can be safely deactivated. Just mark a service, read the description carefully and optimize the performance of your system!

The status of the services can be changed by using the buttons below.

As a new feature of Ashampoo WinOptimizer 5 you are now able to stop useless services with the touch of a button. Just click "All to optimal" and optimize your system once again! If you prefer the default settings of your operating software, choose "All to default" and everything will turn to its basic settings again.

Tip: Please use with caution, erroneous actions may cause severe problems at your system! This function is

designed for experienced users!


BHOs

BHOs (Browser Helper Objects )

The IE BHOs (Internet Explorer Browser Helper Objects) are small programs which can be started automatically when the browser is called. Initially, these files were intended as useful expansion features for the Internet Explorer, however, the security risk they may constitute soon became apparent. BHOs may act as supporters of spyware, adware and hijacker programs, and, for example, record your surfing behavior or display advertising. BHOs often use ActiveX installation programs in order to install themselves. If this option is activated, you have to agree to the installation of BHOs.


Process Manager

Process Manager

The Process Manager is an essential tool for dealing with badly-behaved programs. It lists all the processes active on your computer, displays information on the process details and allows you to kill programs manually if necessary.

Moreover, some computer games may exhibit sudden jerking, even though your computer is equipped with sufficient hardware. In that case, the culprit may be a service claiming a big portion of system resources. This module enables you to counteract just that.

Approach

The Process Manager’s approach:

Starting the module

Click the tuning tools entry for Process Manager.

Selecting the service / Possibilities

This tool enables you to analyze all running tasks (services).

From the list of running processes, choose the service you want to read more about, such as e.g. comprehensive file information, loaded modules or window classes. To view this information, you just need to click the tabs on the side. In addition, to make sure all running processes are being included, you can refresh all processes with a click on “refresh” on the left below “General”.

Once you've selected a task, the program offers basic information about it, displayed below the process screen. If you don't want to see the system processes anymore, just mark the checkbox above the process screen. This might increase the clarity of your results.

As a new feature of Ashampoo WinOptimizer 5 it is now possible to assign a special priority to the selected process. The priorities go from low to high and affect the resource management of your system.

System load

In the lower window area, you can view the number of running processes, the processor load and the RAM load in real time. This way you will immediately notice differences as soon as you end a process.

Please gather information about a specific service before ending it.


Privacy & Security

Privacy and Security

Delete files forever with File Wiper:

Permantly removes files and folders so that they cannot be restored.

Undeleter:

Allows you to recover files which were already deleted .

Tweaking

A control centre for adjustment of your Windows® system settings (Security, Login, Internet Explorer, Messenger, Error Handling and more).

File Encrypter & Decrypter:

Allows you to easily encrypt files to prevent others from accessing your data.

Get rid of annoying advertising IP messages forever:

The IP Spam Blocker enables you to get rid of annoying IP messages generated through the internal Windows® messaging service.


File Wiper

What does File Wiper do?

The File Wiper module deletes files and folders permanently so that they cannot be recovered with undelete programs or even by data recovery labs with advanced tools and instruments. It does this by overwriting all the data the files contain. You can choose different methods for wiping the files, depending on the level of security you need. In the screenshot below you see the main dialog of the File Wiper.

Why should I wipe files at all?

If you have any important, valuable, secret, personal or sensitive data on computers that can be accessed by others you should consider deleting it with File Wiper instead of the ordinary Windows® delete functions. When you delete files or folders in Windows® no data is really deleted from your hard disk or other media. Windows® simply makes one small change to the file's entry in the directory table. The file is then no longer listed in the Windows® Explorer and its data can be overwritten by other files, but until this happens both the file name and its data are still there on your hard disk.

Danger scenarios:

Suppose you sell your computer or your hard disk. Suppose your computer has to be sent out to a workshop for repair. If it contains sensitive data you will generally make backups and delete the sensitive files to make sure they can't be accessed. But if the files haven't been wiped thoroughly the data can be recovered -- and there are plenty of people willing to make the effort necessary to access it. For example competitors interested in your company's new technology!

Undelete programs:

The way Windows® doesn't delete files makes it very easy for undelete programs to recover deleted files. As long as the data hasn't been overwritten by new files these programs can always restore the data. All they need to do is change the deleted files' entries the directory table back to the original setting. This means that anyone with an undelete program and access to your computer can normally access your deleted files.

Undelete programs can't restore data that has been overwritten. If the space on the hard disk occupied by the original file has been overwritten by a new file the undelete program will simply say that the file cannot be undeleted.

Data recovery labs:

However, there are specialized data recovery labs that can recover data that has been overwritten. This is possible because of the nature of the magnetic storage coatings used on hard disks and other data media. Even after data has been overwritten by new data, very sensitive instruments can still read the "traces" of the original data that was there before. It's a little like erasing something you wrote with a pencil - if you don't really rub hard with the eraser for a long time you can still see a trace of the original words on the paper.

The services of these data recovery labs are very expensive, but it's worth the money for industrial spies.

Use encryption software for data you don't delete!

Of course, File Wiper can only protect your "deleted" files. If you store sensitive or private data on your system we also strongly advise that you should use a data encryption module like the File Encyrpter & Decrypter to protect the contents of your files from prying eyes!


Procedure

1: Start the Program

Click on the File Wiper entry in the main menu of Ashampoo WinOptimizer 5.

Read the information on the start screen of the File Wiper module carefully. See the File Wiper, Options and Security topics in this help section for additional information.

2: Adjust the Module Options

In this module you need to choose the file wiping method that suits your security needs. The default setting will produce secure results for most purposes but you should select higher security levels if you are deleting very sensitive data.

3: Choose the files and folders you want to wipe and the method

Wipe Files

Wipe Folders

Select the Files & Folders entry and select the files and folders you want to wipe. See Selecting Files & Folders for details. Please be absolutely sure you want to delete the files -- they cannot be recovered afterwards!

Wipe recycle bin

Select the Wiping Method & Options entry and choose the file wiping method and other module settings to suit your needs. Please study the descriptions shown on the screen and the Options topic carefully before proceeding.

Edit options

First select the Start entry and click on the Wipe Files Now button in the next screen and follow the instructions displayed to delete the selected files and folders permanently. Please be absolutely sure you want to delete the files -- they cannot be recovered afterwards!

Note: Wiping the files can take quite a while if you have selected one of the higher-security wipe options.

NOTE !

When the wipe is complete the Results screen will be displayed automatically with a summary of the operations performed.

Note: If you see messages saying that certain files could not be deleted this is probably because they were open or in use by other programs. If you still want to wipe these files close all other applications first and then select them again. Folders can only be deleted if they no longer contain files. This means that you can only delete a folder if you also delete all the files it contains; otherwise you will get an error message saying that the folder could not be deleted.


Options

File Wiper has two sets of options: Options for choosing the wipe method in the upper half of the Options screen, and additional options controlling the way the program works in the lower half of the options screen.

File wipe methods:

Standard: | The default option. t overwrites every byte of the files to be wiped twice, once with $0 and once with $FF (hexadecimal 255). It is quite a lot more secure than Standard Wipe and only takes a little longer. However, a determined data recovery lab with modern equipment may be able to restore the data.
Gutman-Method: | 35 overwrite passes
Military standard: | This is the option to use for deleting extremely sensitive data or when you have strict security regulations requiring unrecoverable deletion. When this is selected File Wiper overwrites every byte in the files to be deleted seven times: three times with $0, three times with $FF and then once with random bytes. There is no known way to restore data wiped with this method, even using the most advanced data recovery tools.

Program options:

Rename files and folders before wiping:

Because of the way Windows® works it is not possible to delete the names of files and folders directly. Even if their contents have been wiped completely, the names are always still accessible to anyone with the necessary tools. This can be a problem if you have files and folders with sensitive names that you don't want anyone to see.

When this option is selected File Wiper overwrites the names of all wiped files and folders with random bytes, making it impossible to recover the original names. Recommended, selected by default.

Note: You cannot rename folders that still contain files. Selected folders will only be renamed if all the files they contain have been wiped.

Also wipe folders:

Folders are really nothing more than directory entries, just like file names. And like file names, the names of folders cannot really be deleted. When this option is selected any folders selected for wiping will be deleted after the files they contain have been wiped and their names will be overwritten with random bytes.

Note: You cannot delete folders that still contain files, of course. You can only delete folders if you also delete all the files they contain.

Test mode:

This option is provided for testing purposes only. It is deselected by default and should not be used for normal wipe operations.

When this option is selected the selected files are wiped -- i.e. their data is overwritten using the wipe method selected (see above) -- but their directory entries are not deleted. This means that if you open Windows® Explorer after wiping them you will still see the files listed. However, if you view their contents you will find that they have been completely replaced by the data bytes written by File Wiper.

If you selected the Rename option (see above) before wiping the files and folders they will be listed with their new random names instead of their original names.

This allows you to check that wiping is performed properly before you use the program for deleting really critical data.


Selecting Files and Folders

Adding files and folders:

· To add individual files select the Add File(s) button. This will display a standard Windows® directory browser with which you can navigate your file system and select files.

· To add entire folders select the Add Folder(s) button. When you select folders all the files and any sub-folders they contain will all be added to the file wipe list.

· Drag & Drop: You can also add files and folder to the list by dragging them into the window from the Windows® Explorer.

Editing your selections:

· You can expand and collapse the contents of folders by clicking on the [image] and [image] icons to the left of the file entries.

· To remove an item from the list just click on it to highlight it, then select Remove File(s). This will always remove both the selected item and any sub-items. For example, removing a folder will remove both the folder and all the files it contains, along with any sub-folders.

· You can remove individual files from folders to prevent them from being deleted. However, if you do this you will not be able to wipe the folder where the files are stored because you cannot delete folders that are not empty.

What you can wipe, what you can't wipe:

· You can always wipe: files on hard disks, floppy disks and most removable media, as long as Windows® can write to them directly. This also includes network drives for which you have sufficient read/write rights.

· You can't wipe: files on tape drives or files on CD-ROMs of any kind, including writeable CD-Rs and erasable CD-RWs. This also applies for CD recorders configured with packet-writing drivers that enables you to access them like hard disks.

On CD-Rs data that has been written is never deleted, only hidden. To prevent access to this data you must physically destroy the CD-R disc. The data on CD-RWs can only be deleted by the special "delete CD-RW" function provided by your CD recording software. This is because it's not generally possible to delete single files on a CD-RW, you can only delete the entire disk.


Security

Only wipe files you really want to get rid of!

The most important security issue to bear in mind when using File Wiper is that you cannot recover wiped files -- that is the whole idea of the program! This means that you should be absolutely sure that you really want to wipe the files you have selected before proceeding.

Choose the wipe method that matches your needs

File Wiper offers four different file wiping methods, each of which offers different trade-offs between speed and security. Before choosing the method that's right for you please read the descriptions in the Options topic carefully.

Make backups on completely separate drives or media

If you need to make backups of the data you are wiping don't store the backup copies on the same hard drive, even if the drive is divided into multiple partitions. For example, if your hard disk contains partitions C:\, D:\ and E:\, wiping a file on C:\ and making a backup on E:\ will not prevent anybody from accessing the data!

Ideally, backups of data you want to wipe should be made not only on a different drive but also on a completely separate computer in a different location, or on removable media that you can lock up in a safe place. You get the idea.


Undeleter

What does the Undeleter do?

The undeleter enables you to restore files which are already deleted. If you erase a file, it is just labeled as deleted by your operating system. It does still exist at your drive but cannot be read without specialized software.The undeleter saves those lost files and offers the possibility to rebuild them (or at least parts of them).

Procedure

The undeleter is a part of the privacy and security section. Once you've opened the undeleter, a short entering guide about this function appears. Below (and in the menu on the left) you are able to choose a drive to be analyzed.

Choosing a drive

The Undeleter offers an abstract about the drives found by scanning your system. If you decide to connect a new device (e.g. USB-Stick or external hard drive) click at "refresh drives" to refresh the listing of drives. Once you've chosen a drive by clicking at it, it is highlighted and can be tested for deleted files.

Options

Inside of the left menu there are the options to adjust the searching of lost files individually. Thus the search can be accelerated and the results (which can consist of a great amount of files) are more clearly arranged. Using default settings Ashampoo WinOptimizer 5 displays all the files which were found without further a examination of the condition of the file.The option Don´t show files that are mostly lost ignores all those files, which cannot be undeleted properly. The files with 0 Bytes are a special part of this group, which contain noch data anymore. Hide file icons in the list accelerates the search additionally because the data types are not symbolized by a little icon in front a the file name hereafter.

If you want to restore a whole folder, its internal structure will be rebuild, too. If you don't need it, just enable Ignore file structure when restoring and the data will be reconstructed just file by file.

Viewing the results / Undelete

Once you've decided to scan a drive for deleted files, a chart of deleted file files appears which were found byAshampoo WinOptimizer 5. The located files might be in a different state reaching from Good (easy to bei to be restored) to Lost (which can be restored in just a few parts or not at all). The state indicates the chance to regain the whole contents of the file. Files which are poor or even lost might have been partially overwritten by other activities of our computer (e.g. saving a file at the location of the deleted one).

If you want to restore a file, mark the checkbox in front of your choice and select the place where it should be reconstructed. Click at undelete to finish the process.


Tweaking

What does Tweaking do?

Tweaking is a convenient tool for fine-tuning your Windows® 2000, 2003 Server and XP configuration to suit your precise needs and wishes. It gives you direct access to many frequently-required settings and parameters, enabling you to make your operating system behave the way you want. It also includes many settings that cannot be accessed in Windows at all without editing the registry directly.

Some of the settings you can change are available in Windows, but you will find that accessing them is much quicker and more convenient because they are all available in a single location, with the same intuitive procedure for changing all the parameters.

Many settings are not available directly in Windows at all - to change them yourself you would have to edit the Windows registry directly, which is usually a bad idea, in addition to being inconvenient and requiring a lot of expert knowledge. Tweaking enables you to give your system the sort of tune-up that is normally only possible for very experienced users.

You can change hundreds of registry settings from Windows XP, improving appearance, performance and functionality. Prevent others from changing your settings, increase Windows security. Lock down Control Panel applets, Internet Explorer options and Media Player settings.

You can change Windows XP system performance, by selecting to keep the Windows XP core system in memory, and not paged to disk (advisable only if you have 512MB RAM or more). You can also optimize the CPU and memory usage for Programs, System cache or background services.

You can also use Tweaking to add "unremovable" Windows components (such as Microsoft Messenger) to "Add or Remove Programs" and uninstall these components after all.


Procedure

Selecting functions

If you do not want to enter your password everytime your start the system just fill in here your password. Note: everybody with access to

your system is able to change these settings.

Here you can set how your system has to react on occuring errors and

configure the RAM-management.

Here can you set device manager settings, disable functions and set OEM information

In the Explorer section you can increase the stability of your system. Furthermore you can choose other paths for your personal folders(e.g. my pictures, my videos.....).

Here can you hide drives, set autostart devices such as other settings.

In this section you can adjust the internet explorer setting. You can choose whether temporary internet files should be deleted on exit....

Note: Please follow the instructions which are displayed in these modules.


File Encrypter & Decrypter

What does File Encrypter & Decrypter do for you?

This module enables you to encrypt files to prevent others from accessing their contents without your permission. The files are encrypted with a password that you choose, which is used like a key to lock and unlock your data. The contents of encrypted files are "scrambled" and they cannot be opened by anyone who does not have your password. When you want to access the data you just need to enter your password to decrypt the files – then you can use them again normally. The program encrypts files using the Blowfish algorithm, which is extremely secure if you use a good password (longer passwords are more secure). In the screenshot below you see the main dialog of the File Encrypter & Decrypter. To learn how to work with the File Encrypter & Decrypter go on to the Procedure page.


Procedure

1: Start the program

Click on the File Encrypter & Decrypter entry in the main menu of Ashampoo WinOptimizer 5.

Read the information on the start screen of the File Encrypter & Decrypter module carefully.

2: Select the Function
Encrypt a file | If you would like to encrypt a file click on the radio button next to the file encryption symbol.
Decrypt a file | Click on the file decryption radio button to decrypt a file.
3: Start the selected Function
 | Click on the appropriate button to proceed.


Encrypt Files

To encrypt files the following steps have to be taken:

1. First choose the file you want to encrypt. You may either use the browse button to set the path to your file or use Drag&Drop to drag a file into the input field from Windows® Explorer.
2. Now you have to choose a password. The password must be between 4 and 16 characters long. Note: The password is case case-sensitive. There is NO way to decrypt the file without the password, so please make a note of it in a safe place!
3. Now decide if you would like to deletet the file by by checking or unchecking the Delete original file after successful encryption option checkbox.
4. Afterwards press the Next > button to start the encryption procedure. Note: Depending on the file size this process may take some time - please be patient.


Decrypt Files

To decrypt a file:

1. First choose the file you want to decrypt (you can only decrypt files that have been encrypted with this program). You may either use the browse button to set the path to your file or use Drag&Drop to drag a file into the input field from Windows® Explorer.

2. Next you must enter the same password that you used to encrypt it. Note: The password is case

case-sensitive.

3. Afterwards use the Next > button to start the decryption process. Note: Depending on the file size this may take some time - please be patient.


IP Spam Blocker

Why do you need the IP Spam Blocker?

A growing number of Internet users are complaining about a new kind of popup advertising windows that suddenly appear on their screens. This new kind of spam, known as "IP spam" or "Net spam", is generated through the internal Windows® messaging service, which is actually a tool provided to enable network administrators to send messages to multiple users via the network. (It shouldn't be confused with the Windows® Messenger instant messaging program, which is a completely different application.) Advertisers are now increasingly abusing this service by sending messages to large blocks of random IP addresses via the Internet. If you are online with an IP address that happens to be included in the block the message will suddenly appear on your screen if the Windows® messaging service is active on your computer. The service is activated by default on Windows® NT, 2000 and Windows® XP. This little tool enables you to just switch off the messaging service, getting rid of these annoying advertising messages forever! In the screenshot below you see the main dialog of the IP Spam Blocker.

This tool is only for Windows® NT, 2000 and XP, you can't use it to switch off the messaging service under Windows Vista™.

The procedure to use the IP Spam Blocker is very easy. In the main screen of the IP Spam Blocker it is very simple to to either activate or deactivate the Windows®-Messanger.

Click the Enable IP Spam button to deactivate the Windows®-messaging service.

Click the Enable IP Spam button to activate the Windows® messaging service. The status changes to 'red'.


Tune System Settings

Tune System Settings

Tweaking

A control centre for adjustment of your Windows® system settings (Security, Login, Internet Explorer, Messenger, Error Handling and more).

Visual Styler: The Visual Styler caters to all those who are never satisfied with how their desktop looks.

Faster, smoother and snappier internet surfing with Internet Tuner:

Optimizes your Internet connection for faster, more efficient performance.

Icon Saver: Saves and restores the arrangement of your desktop icons.


Internet Tuner

What does Internet Tuner do?

We created the Internet Tuner because we discovered that the standard Windows® settings for many of the parameters controlling online performance are not actually very good for most modern Internet connections. We then performed exhaustive analysis and testing of the performance of various settings combinations (some of which have little or no documentation) until we came up with a set of settings delivering the best performance for each dial-up adapter and access type combination. In the screenshot below you see the main dialog of the Internet Tuner.

DON'T OPTIMIZE SERVERS! Please don't use Internet Tuner if your computer is configured and acting as a server in a server/client network. You shouldn't try to optimize connections on these machines because the parameters that control the connection are also important for network traffic on the LAN administered by the server. Trying to optimize servers can have negative consequences, please don't do it!


Procedure

Procedure:

Automatic Internet connection optimization

This section describes the automatic method of optimizing your online throughput performance with Internet Accelerator 2, which is the method that most users should use. This is easy and safe and will produce excellent performance on the great majority of computers. If you want to optimize your connection manually please use the information on the parameters provided in the Manual Optimization section.

Select the connection type in the Optimize adapter for: This selection is crucial! Please make absolutely sure that you have selected the right type. Ask your computer dealer or system administrator if you are not sure. Selecting the wrong type can make your connection slower or instable instead of speeding it up!
 | Select the Optimize button to apply the changes.
 | Shut down and restart Windows before going online with the new settings! This is very important because some of the new settings are only activated when Windows is restarted.

AOL® users:

If you are an AOL user please also see the Important Notes in the previous topic before you begin.

Tip:

See Security / Restoring Changes for details on using the Backup function of Internet Tuner to protect your settings

DON'T OPTIMIZE SERVERS!
· Please don't use Internet Tuner if your computer is configured and acting as a server in a server/client network. You shouldn't try to optimize connections on these machines because the parameters that control the connection are also important for network traffic on the LAN administered by the server.

· Trying to optimize servers can have negative consequences, please don't do it!

Important Notes:

Internet Explorer v. 5 or higher is recommended

· Microsoft® Internet Explorer v. 5 or higher is recommended for the Internet Tuner module.

May not produce improvements on all systems:

· Please note that although Internet Tuner will provide a significant performance increase for most Internet connections you may experience performance degradation or other problems with some less common configurations and hardware. The range of possible configurations is so large that it is not possible to cover them all in a program of this type. If you do experience problems or performance degradation just use the Backups function to restore your original settings. Please also [image] send us an e-mail with information about your configuration and we'll see what we can do to help!

Special note for AOL® users:

· AOL uses its own special virtual adapter with a proprietary system that accesses the TCP/IP Internet protocol indirectly, through its own protocol. Because of this you may not obtain particularly good results when optimizing your Internet connection for the AOL adapter - the improvement you achieve will depend on your entire system configuration. It's worth trying - you can always restore your original settings with the Backups option - but be warned that the results may not be as good as you hoped.

How much improvement can you expect?

The improvement you achieve will vary considerably depending on your line quality, connection type, the performance of your provider and how well your computer was configured to start with.

Because of all these variables we can't make any guarantees, but generally you can expect to achieve an improvement in the region of around 15-30%. However, we also don't want to hide the fact that we've achieved improvements of up to around 50% on some configurations!


Security / Restoring Changes

The main security issue with Internet Tuner is the possibility that you may make your settings worse rather than better. If you use automatic optimization this is very unlikely, provided that you select the right adapter type and connection mode in the Adapter and Automatic screens. But even if something does go wrong you can always restore your original settings with the Backups function (described below), which automatically backs up your system configuration the first time you start the program.

Manual configuration has much more potential for creating problems. Rash experiments with values and settings can make your Internet connection slower or less stable, and in extreme cases you may no longer be able to go online at all. Here too, however, you can always restore your original settings with the Backups function described below.

The Backups function

Please select Backups in the startscreen of Internet Tuner. This will open the backup folder for your personal user profile. Click on the folder to see all stored backup files.

Below you will see one example for a backup file in the backup folder:

The backup files are listed with their names, the date and time they were created and their size in bytes. The size gives you a rough indication of the number of changes stored in the file - the larger the file the more registry changes it contains (surprise!).

The names of the backup files are generated automatically, using the date and time when each file was stored. In the example above, the last backup file was created on 23 rd September 2003 at 12:58.

Restoring backups:

1. Select the appropriate file in the list.
2. Double-click on the selected file.
3. Click on Yes at the prompt displayed. The entries in the file are then written to the Windows® registry.
4. Close down and restart Windows® after restoring the registry entries to make sure that all the changes are activated.

Deleting the backup files:

If you are sure you no longer need a specific undo file you can delete it as follows:

1. Select the appropriate file in the list.
2. Click on the "Del" button of your keyboard or right-click on the selected file and choose "Delete" from the context menu. Like deleting other files you have to confirm with Yes at the promt displayed.

How to view the content of backup files.

It is quite easy to have a look into a backup file to see the information stored.

1. Select the appropriate file in the list.
2. Right-click on the selected file and choose "Open with" from the context menu" and select an editor. Now you can see all information stored. Please do NOT change anything inside the backup file, otherwise the restoring will faile.

Restoring Windows® defaults:

You can also restore the standard Windows® settings for all the Internet connection settings that can be changed by Internet Tuner. Just select the Windows Defaults button in the Automatic screen.

Warning:

This setting restores the Windows® settings as they were when Windows® was first installed, before you made any changes for your own modem etc. This means that it will also overwrite any settings that were changed when you installed your modem, which can cause problems with your present configuration. Only use it if you are experiencing serious difficulties with your Internet connection and want to start with a clean slate - for example so that you can re-install your modem.


Identifying Adapters

Adapters can be physical (like a modem or network card) or virtual, which means that a software program behaves like a physical adapter. The Dial-Up Adapter in the Windows Dial-Up Network is the most common example of a virtual adapter.

The adapter I use is installed and working properly, why isn't it listed in Internet Tuner?

All adapters used for online access should normally be recorded in a special list in the Windows® registry. The entries in this list show where all the settings for the adapter can be found, including its name, parameters, file locations and so on.

Unfortunately, some vendors don't follow this rule and fail to enter the information about their adapters in the standard registry list. When this is the case it is virtually impossible to locate the adapter and its individual settings automatically.

What should I do if my adapter isn't shown in Internet Tuner?

Choose the ALL AVAILABLE ADAPTERS entry in the Adapter screen, then choose the type of connection in the Optimize adapter for: field in the Automatic screen. This will optimize all parameters that are relevant for Internet connections for all adapters in your system.

The downside of this approach is that you may experience a slight degradation of performance with network-based functions, like local network access. However, modern local networks are so fast that you will probably not even notice the difference, and any performance increase for your Internet connection is much more important, relatively speaking, and well worth an almost imperceptible slowdown on your local network.

We're working on new software technologies for identifying all available adapters. Please watch our website for news and updates!


Manual Optimization

This section provides more detailed information on the parameters that are optimized automatically or manually by the Internet Tuner module. They are listed in the order in which they appear in the Manual 1 and Manual 2 screens.

Please study them carefully before trying to use Internet Tuner to optimize your Internet connection manually, and use the Backups function to save your settings before making any changes. Then you can restore them with a couple of clicks if anything goes wrong.

Tip:

Always shut down and restart Windows® to apply your changes before you go online again after optimizing your Internet connection.


MaxMTU

MTU Defined

MTU stands for "Maximum Transmission Unit". It defines the size of the data packets that Windows® uses as a negotiation basis. When a connection is initiated between two computers they must agree on an MTU. This is done by comparing MTUs and selecting the smaller of the two.

How it Works

When you go online your Internet provider compares its MaxMTU with yours and chooses the smaller of the two. In theory, you might think that setting MaxMTU to the highest possible value would be the best solution. Then your provider would always choose its maximum value, which would maximize throughput. In practice, however, it's not that simple.

Packet Fragmentation

The problem is that your provider may allow a MaxMTU that is larger than those permitted by some of the other servers that carry the data along the way. If this happens the routers must break your packets up, and this almost always causes a drastic reduction in throughput. Among other things, the software routines used to break up and reassemble the packets are usually not very efficient, because it's not something that the programmers are particularly interested in (they don't really want to have to break up and reassemble packets at all).

As a general rule of thumb, it's possible to say that the optimum MaxMTU figure increases with the available bandwidth. The trick is to choose a MaxMTU that is as large as possible without causing packet fragmentation.

The Effect of Windows "MTU Discovery"

Windows® has a built-in MTU Discovery feature that can prevent fragmentation automatically. It does this by sending out a packet with a "Not Fragmentable" tag at the beginning of every connection attempt (e.g. when you access a web page). Since the router can't fragment this packet it's forced to return an error message. Windows® then reduces the packet size and tries again, continuing until no error is returned.

For example, if your Internet provider uses an MTU of 576 and your MTU is set to the Windows® default of 1500. Windows® must adjust your setting downwards every time you go online. This process is automatic, but it still takes it time. Setting the correct value greatly reduces the amount of work Windows® has to do to negotiate a connection, increasing access time.

See also: MTU Black Hole Detection

In a Nutshell:

· MaxMTU too low: Lower throughput speed, slower access
· MaxMTU too high: Much lower throughput speed (fragmentation), slower access
· MaxMTU correct: Optimum throughput speed, faster access


PMTU Auto Discovery

Activating this setting makes Windows® try to automatically negotiate the MaxMTU setting along the path to the remote host.

Theoretically, this is supposed to optimize throughput by ensuring that there is no packet fragmentation along the entire path to the remote host. However, this only works properly if all the servers along the path are running Microsoft MSFT server software that supports this function. This is very often not the case of course; one only needs to consider the very large number of Unix/Linux servers now used on the Internet! When Auto Discovery is not activated the system will automatically use the MaxMTU value set by Internet Tuner.


NDI Cache Size

This setting is still pretty much a "black box" because virtually no documentation is available. It defines the cache size of the network device. In empirical tests values of 16 and above sometimes increase performance. In general, 16 seems to be the best figure.


MTU Black Hole Detection

When this is enabled Windows® tries to detect "black hole routers". These are routers that don't return the messages needed for adjusting MaxMTU while Windows® is negotiating the MTU value, which increases the number of re-transmissions required. Black Hole Detection is Disabled by default. Activating this parameter when it is not needed can degrade performance. We don't advise selecting it unless you have a good reason for doing so.


MSS (Maximum Segment Size)

This value defines the maximum segment size of TCP data that the Winsock can receive. It is derived automatically from the MaxMTU value, as MaxMTU minus 40 (which is the length of the TCP and IP headers).

This is done because if a segment contains more data than the MTU frame size fragmentation will always occur, causing a drastic reduction in performance.


RWIN (TCP Receive Window)

This parameter defines the maximum amount of incoming data (in bytes) that can be buffered by the receiving system before the transmitting host must wait for an acknowledgement.

It makes sense to set an RWIN value that is an even multiple of your MSS setting, as this increases the number of full-sized TCP segments transmitted, which naturally improves throughput (particularly for large transfers).

Letting Windows set RWIN:

If you allow Windows® to set RWIN it defaults to 8192 bytes, which it then automatically rounds up to the nearest multiple of the MSS value used for the current connection. If this isn't at least 4 times the MSS value it is adjusted to 4 * MSS, with a maximum limit of 64K. If your MaxMTU also uses the Windows® default of 1500, RWIN is rounded up to 8760 (1460 * 6).

Setting a fixed value of 4*MSS:

Setting this to a lower value can significantly improve performance. On most systems, setting exactly 4 times your MSS has proved to deliver optimum throughput. This is also the recommended setting.

Setting RWIN manually:

Performance can vary with different configurations and connection types, however. Many users report better performance with RWIN set to 6, 8 or even 10 times the MSS value.

Be warned, however, that setting RWIN manually can also decrease performance. The reason for this is because it takes control away from Windows®. If the MaxMTU is then negotiated to a different value RWIN will no longer be a whole integer multiple. For manual setting to be effective you must take steps to ensure that your MaxMTU will not be negotiated to a lower value.

DSL and other broadband connections:

Much of the above may not apply for DSL and other broadband connections. You probably shouldn't try to adjust the settings manually for these systems unless you have the necessary background information and experience.


TCP1323Opts

This parameter is required to enable large TCP receive window (RWIN) support as defined in [image] RFC 1323. When it is not activated the TCP receive window is limited to a maximum of 64K.

Logically, you only need TCP1323Opts if you are using RWIN values higher than 65535, but then it is essential!

There are four possible settings:

· Disable TCP1323Opts
· Window scaling only (recommended setting)
· Timestamp only
· Window scaling and timestamp

About the settings:

Enabling both window scaling and timestamp can help in some cases if you are experiencing increased packet loss. However, performance is generally better with window scaling only as the timestamp option adds 12 bytes to each packet header. Turning off window scaling is not recommended.


SackOpts

This parameter controls whether or not SACK (Selective Acknowledgement) support is enabled, as specified in [image] RFC 2018. SACK is crucial for connections using large TCP receive window (RWIN) settings above 64K. See RWIN and TCP1323Opts for further details.


TTL (Time To Live)

This parameter defines the value of a field sent in the IP header that controls how long a data packet is to be allowed to "survive" before it is discarded. The number specifies the number of servers the packet can pass through on its way to its destination ("hops") before it is considered lost. Although TTL doesn't affect throughput speed directly, larger values can make access times much longer because they increase the time it takes for a packet to be considered lost, discarded and retransmitted. Values that are too small can make it impossible for the packets to reach distant servers at all, as they will always be discarded. The default setting in Windows® 95 was 32, but the Internet has grown very rapidly since then and this is now often too low. The Windows® 98 default is 128 and this is still good for most purposes.


Visual Styler

Visual Styler

The Visual Styler caters to all those who are never satisfied with how their desktop looks. It enables you to replace system icons, apply transparency settings to Windows components and application windows and more. It also includes quick presets for many common applications.

Approach

The Visual Styler’s approach:

Starting the module

Click the tweaking tools entry for Visual Styler.

Select options

Symbols

Transparency


Change Symbols

Approach

The Visual Styler’s approach:

Change Icons

To make sure all available icons are being displayed, click "Refresh".

Select options

Change Explorer icons:

Select the icons you want to change and click "Change icon". A small dialog will appear, where you can select any desired icon.

Change drive icons:

Proceed just like when changing the Explorer icons.

Reset Icons:

With a click you can reset all changes you have made to icons. Please note that a reboot is required for all changes concerning icons.


Change Transparency

Approach

The Visual Styler’s approach:

Set transparency

Select object

Change transparency:

First select an object already contained in the list. Under “Selected entry” you can change the chosen object’s transparency by using the arrow keys. For example: with a value of “1” you could hardly see a window, with 99% almost completely.

Of course you can also add new objects. To do that, please click “Add”. You will then be prompted to enter a name, the class name and the transparency.

Click "Apply" to apply your settings. Rebooting is not necessary.


Icon Saver

Icon Saver

The desktop is a kind of virtual living room for most of the experienced users. The arrangement of desktop icons often represents a special, sensible composition which shouldn't be changed by nothing but the user himself. To save these settings, the Icon Saver is able to recover the arrangement of you desktop icons after an unintentional change (e.g. by games, new graphic drivers, etc.).

Creating a storage point?

If you want to save a status quo of your desktop, use the Icon Saver to create a restore point.

Choose "Edit restorepoints for desktop icons", to create a first storage point. Click at "New" and select a meaningful name for it (eg. date) and confirm your choice.

If you´ve already created a storage point and want to rebuild this state, just click at "Restore to last created restore point now"and your icons will be arranged the way they were meant to be.

If you want to delete, recover or create a storage point, just choose restore point on the left. You can save the current status, delete older ones or create a new storage point.


Diagnosis

Diagnosis and Information

Diagnosis and Information

DiskSpace Explorer

Analyzes and displays how the space on your hard disk is used. The information can be sorted dynamically and displayed in graphs.

System Information

Shows detailed information of installed devices and software.This information is helpful for error checks and support features.

System-Benchmark: The System Benchmark module tests the processor (integer and floating point) and memory performance of your system and compares the aggregate result with the performance of reference systems.

.


DiskSpace Explorer

What does DiskSpace Explorer do?

With the DiskSpace Explorer you can detect where and wherefore most harddrive capacity is used. Here you can e.g. see how many files and harddrive capacity is used by audiofiles, videofiles, documents or software. This module is perfect to detect files you have installed a long time ago whereof you do not know today. If you do not use these files any longer you can delete them to get more capacity.

(Folder view)

(File Formats view)


Procedure

1: Start the Program
 | Click on the DiskSpace Explorer entry in the main menu of Ashampoo WinOptimizer 5. Read the information on the start screen of the DiskSpace Explorer module carefully.
2: Choose the the method you want to use
Generate Report for selected drive | Select this option to get a complete summary of files of your harddrives including required capacity. Just press "next" to select a harddrive. If you have selected a harddrive please press "next" once again and the system report will be created.
Configure settings | If you choose this option you can define what kind of files you want to see in the system report. You are also able to add completely new file formats to the list. Furthermore you can edit the parameters of the diagrams to get more information. You can also edit these settings in the Options menu.

3: Perform the selected task:

Perform the selected task by pressing the appropriate button.


Options

File Formats: | You are able to edit and define file formats for single groups. You can easy add new file formats. You only have to separate the formats with a semicolon( e.g. video files: AVI ; MPG ; MPEG ; RM ; WMV ; MOV ; VOB).
Diagrams: | You can adjust the default parameters of the diagrams to get more detailed information. Furthermore you can choose the display of the graphs. You can select between: pie chart, bar graph or no graph.

If you select too many sections your overview will be reduced.


System-Benchmark

System Benchmark

The new "System Benchmark“ module checks the processor and measures the system memory’s performance. The results are subsequently compared to the values of various reference systems to let you rate your system’s performance.

What is the result comprised of?

The benchmark is comprised of: Integer performance, FPU performance and RAM performance.

Integer-Performance (Dhrystones)

The Dhrystone test informs you about your system’s CPU performance, measured with integer operations, which are required for basic tasks of the OS and working with compilers, text, logic simulations and databases. The final numerical value reflects the processor’s access speed and constitutes a third of the benchmark’s total value.

FPU-Performance (Whetstones)

The FPU (Floating Point Unit) performance represents the computing power when handling floating point operations and can drastically improve the processing speed for mathematical and graphical operations. The final numerical value constitutes a third of the benchmark’s total value.

RAM-Performance (RAMperf)

This part of the benchmark determines, how often the system memory can write and read test blocks within a given timeframe. The more repetitions, the better your RAM performance. The final numerical value constitutes a third of the benchmark’s total value.

Approach

The System Benchmark’s approach:

Starting the modules

Click the tweaking tools entry for System Benchmark.

Execute Benchmark

To execute the benchmark, please click "Start Benchmark".

Compare results

After running the benchmark, you will automatically get a list with values from reference systems, from which you can gather how your system performance compares with others.


System Information

What does System Information do?

This program performs computer configuration analysis and provides detailed information of your computer hardware and working modes. The System Information detects processor and co-processor types, CPU and bus frequency. Provides information on CPU features, cache, motherboard, hard disks, S.M.A.R.T.,CD/DVD devices, SCSI devices, memory modules, chip sets, BIOS, processes, USB devices, DMI/SMBIOS, monitor, video card, sound card, network card, printer, installed programs, etc. This program also creates a file report that you can send to support members if you have any problems with your computer.


Procedure

These values contain information about the system processor, including speed, brand and model.

Shows technical facts and information of components existing on your mainboard ( Name and number. Core stepping and process. Package. Core voltage. Internal and external clocks, clock multiplier. Supported instructions sets. All cache levels (location, size, speed, technology) ports, slots, on-board devices....).

Shows technical facts and information of your graphic card or adapter

and your monitor settings( resolution, chipset, RAM, DAC......).

Shows technical facts and information of your network components and facts(IP, MAC-Id, network adapters......)

Identifies USB devices (vendor, model, serial number, version, speed and others). Program can detect over 4000 devices.

Shows technical facts and information of your logical devices. You can see how many bytes are in use or free, the clusters and much more...

Shows technical facts and information of your harddrive. You obtain information of the model, capacity, S.M.A.R.T and much more

Shows technical facts and information of the installed operation system. You can see the type of service pack, registration settings.....

Shows technical facts and information of all installed software, also listed on control panel.

Shows technical facts and information of the system memory and the page file. E.g. accessing time, in use/ free .....

Shows technical facts and information of all installed drivers existing on your system. Note: Only for 2000/XP


File Tools

File Tools

Windows® Functions

This section provides direct access to the three most useful Windows® tools, making it much easier to use them regularly.

File Splitter & Joiner:

Enables you to split large files into smaller parts. Later you may join or respectivly reassemble the the smaller parts back into the original file.

Delete files forever with File Wiper:

Permantly removes files and folders so that they cannot be restored.

File Encrypter & Decrypter:

Allows you to easily encrypt files to prevent others from accessing your data.


File Splitter & Joiner

What does File Splitter & Joiner do?

This module enables you to split large files into two or more smaller files. Later you can then use the Joiner function to reassemble the original large file from the set of split files. There are many uses for this function. For example, you can use it to split files that are too big to fit on a CD so that you can store them on two or more CDs. Or you can split large files you want to send as email attachments (many email providers impose limits on the maximum size of email attachments). In the screenshot below you see the main dialog of the File Splitter & Joiner.


Procedure

1: Start the Module
 | Click on the File Splitter & Joiner entry in the main menu of Ashampoo WinOptimizer 5. Read the information on the start screen of the File Splitter & Joiner module carefully.
2: Select the Function
Split file | If you want to split a file into several smaller files, please activate the Split a file into smaller files radio button.
re-join files | If you want to join the original file again, please activate the radio button Join a set of split files.
3: Start the selected Function
 | Click on the appropriate button to proceed.


Split a File into smaller Files

To split a file with File Splitter & Joiner is really simple and takes only a few steps.

1. First you select the file you want to split by using the Browse button.

2. Please select the file size for the single parts either from the proposal list or enter a used defined file sizeusing the arrows in the User-defined file size field.

3. Click on the Next > to proceed.

4. The module will now generate the single parts. This will not delete the original file. The new files will be stored in the same folder like the original file.

The first part will get the extension ".part00000"; the second one ".part00001" and so on.

5. Clicking on OK in the confirmation dialog brings you back to the startscreen of File Splitter & Joiner.


Join a Set of splitted files

To rejoin a file with File Splitter & Joiner is also simple.

1. Please select one of the components by using the Browse button. It does not matter which part of the components you take.

As soon as you have selected one part, the modul displays the information about the original file and the number of (required) components.

2. Click on Next > to proceed.

3. The module will now rejoin all components into one single file. If you confirm the prompt with YES the original file will be overwritten. This will not delete the previously generated single components.

4. Clicking on OK in the confirmation dialog brings you back to the startscreen of File Splitter & Joiner.

If one or more components are missing File Splitter & Joiner tries to rejoin all parts, beginning with the "start file" with the extension ".part00000".

Example: You have split a file into six parts and due to some bad circumstances part 3 which should have the extension ".part00002" is missing. In this case the module will only rejoin the first two parts.


Windows® Functions

What does Windows®Functions do?

The Windows®Functions provides direct access to the three most useful tools, making it much easier to use them regularly. These three important Windows® tools are Scandisk, Defrag, and System Restore. Important: Please note that the System Restore tool is only available in Windows® XP. In the screenshot below you see the main dialog of the Windows®Functions.

Scandisk is used to identify and correct hard drive problems caused by power failures, system crashes and switching off your PC without shutting down Windows® properly. Use the Scandisk button to start the Windows® Scandisc Tool.

Defrag finds and reorganises fragmented boot files, data files, and folders on hard disks which means if your computer seems to be getting more and more sluggish it may be because your hard disk is "fragmented". The Disk Defragmenter utility reorganizes your hard disk so that all blocks of each file are kept together, and this makes accessing them much faster. Use the Defrag button to start defragmentation of your hard drives.

The System Restore Windows® XP utility allows you to restore your computer to a previous state if a problem occurs, without losing your personal data files. This is done with backup files called "restore points". Windows® XP creates restore points automatically every day and when significant events occur (for example when you install a new program or new hardware), and you can also create restore points manually. Use the System Restore button to restore your system using the Windows® XP utility.


Backup

Ashampoo WinOptimizer 5 stores all changes made to the Windows® registry or important changes yof the system configuration in backup files. If you don't want to keep a change, just remove it!

The Backup function:

Please select Backups in the start screen of Ashampoo WinOptimizer 5. This will open the backup folder for your personal user profile. The backup files are listed with their names, the date and time they were created and their size in bytes. The size gives you a rough indication of the number of changes stored in the file - the larger the file the more registry changes it contains.

Restoring backups:

1. Select the appropriate file in the list.
2. Click on the selected file.
3. Click on the Restore button
4. Close down and restart Windows® after restoring the registry entries to make sure that all the changes are activated.

Deleting the backup files:

If you are sure you no longer need a specific undo file you can delete it as follows:

1. Select the appropriate file in the list.
2. Click on the Delete button down to the right


Reference

This section contains general reference information, including topics on some general features of Ashampoo WinOptimizer 5 and some basic issues relevant for optimizing Windows®.


System Requirements

The requirements for running Ashampoo WinOptimizer 5 are very modest:

Operating System:

Windows® 2000, XP and Windows Vista™.

Computer:

Any computer that runs one of the above operating systems at a reasonable speed.

Main Memory (RAM)

At least a minimum of 128 MB RAM should be available on your system.

Hard Drive Space:

40 MB for the program files plus some additional space for backup files. (minimal)

Software:

Microsoft® Internet Explorer 6.0 or higher is required.

Other:

Full administrative rights are required to use the program.

Contacting Ashampoo-Support

If you have any problems or questions about this program please contact our support hotline staff at one of the addresses shown below. You can also contact support directly by selecting the options in the 'Internet' menu within the program.


Security

Ashampoo WinOptimizer 5 is designed for maximum security

Because of Windows® great complexity, identifying redundant files, registry entries and other items is far from a straightforward process. Ashampoo WinOptimizer 5 uses very fast and intelligent scanning algorithms that reliably identify genuinely redundant items in the vast majority of cases.

Unfortunately, it is impossible for any program of this type to guarantee 100% accuracy. Even Ashampoo WinOptimizer 5 will occasionally make a mistake and identify an item that is actually needed as redundant.

This is not a problem!

Everything that Ashampoo WinOptimizer 5 deletes can be restored or recovered. All deleted registry entries are automatically backed up to special undo files, all your Internet connection settings are automatically backed up to recovery files the first time you use Internet Tuner, and all deleted files and other hard disk items are first moved to the Recycle Bin where they can be recovered if necessary.

The only exception to this is the File Wiper module, the purpose of which is to delete files and folders permanently so that they cannot be recovered. It is not possible to create backups or to move deleted items to the Recycle Bin with this module, as this would make File Wiper useless!

Security issues in the individual modules

Details on relevant security issues for the individual modules can be found in Using the Modules section, where each module has its own Security and Restoring topics.


Recovering and Restoring

Even in the extremely unlikely event that you are unable to restart Windows® after optimizing, it is always possible (and very easy) to restore your original settings and get your system running again.

See the Restoring Changes chapters in the Using the Modules section for details on restoring your data and settings in each module.

Don't empty the Recycle Bin automatically!

Ashampoo WinOptimizer 5 moves many types of deleted items to the Recycle Bin so that you can restore them if you need to recover them. If you have set Windows® to empty the Recycle Bin automatically please disable this option before using Ashampoo WinOptimizer 5!


Multiple Versions of Windows®

You should always exercise extreme caution when using Windows® cleanup and tuning programs like Ashampoo WinOptimizer 5 on computers with multiple copies and versions of Windows® installed (including Windows® 98, Me, 2000 and XP).

The Ashampoo WinOptimizer 5 modules affected by this issue will identify the presence of multiple Windows® versions and display warning messages before performing potentially dangerous operations. Even so, extreme caution is the best attitude!

Possible consequences

Failure to observe this warning can result in serious damage to your system configuration! The reason for this is that it is quite possible for different copies and versions of Windows® to have large numbers of objects with seemingly identical names and attributes. If you assume that these are unnecessary and delete them then one or more of your systems may stop working properly.

Boot managers

This does not apply if you are using a boot manager that physically hides the drives or partitions containing the other operating system(s) from view, of course, because then Ashampoo WinOptimizer 5 cannot search these drives. However, you should still be very careful if the visible drives contain any objects or settings belonging to the other operating systems.


 NTFS Drives

NTFS Drives

If you are using NTFS drives with Windows® 2000 or Windows® XP you should remember that you will not be able to access the drive from a DOS boot floppy without special additional tools. This is a general problem on all Windows® systems with NTFS drives.

If you have NTFS drives on your system we strongly advise that you take immediate steps to ensure that you will still be able to access the data on these drives if you are unable to start Windows®. This is important for all your data, not just for restoring items deleted by Ashampoo WinOptimizer 5!


Why Optimize Windows®?

Cleaner Modules:

Because of the way Windows® is designed more and more redundant files, registry entries and other useless items generally collect on your system in the course of time. This applies in particular if you frequently try out and uninstall new shareware programs and other applications. The Cleaner modules give you a suite of tools with which you can seek out and eliminate all this garbage to free up valuable space and keep Windows® running smoothly.

Tuner Modules:

Windows® comes with standard settings for almost everything it does. These settings are often less than ideal, and sometimes they are downright counterproductive. The Tuner modules enable you to improve performance by "tweaking" the standard Windows® settings for a number of different tasks. All Tuner modules include backup facilities that enable you to experiment with different settings safely.

Using the Cleaner modules brings you a lot of benefits:

Free up valuable space on your hard drive:

All this garbage takes up a lot of valuable space on your hard drives. Keeping it serves no useful purpose and deleting it makes the space available for other uses.

Speed up general system performance:

In addition to occupying valuable space, all this garbage also slows down your system - running Windows® when it's so clogged up is a little like trying to drive down a road full of rocks and potholes. Ashampoo WinOptimizer 5 seeks out all this garbage and cleans it up reliably and safely, streamlining and optimizing your system.

Speed up hard drive searching performance:

Removing unnecessary files can significantly speed up searches on your hard drives. The reason is simple: files that aren't there don't need to be searched.

Avoid the need to re-install Windows®:

Many experienced users reinstall Windows® once a year or even more frequently as a matter of course. If you use Ashampoo WinOptimizer 5 regularly you will no longer need to perform this annoying and time-consuming chore!

Make sure all your applications are using the most recent DLLs:

The DLL Cleaner module shows you the versions and locations of all duplicate DLLs on your system. If newer versions of shared DLLs are located outside the Windows® folders you can move them to the system folder to make sure that all applications that use these DLLs are accessing the latest versions.

WARNING: Recommended for experienced users only. Please don't try to move or delete DLLs unless you know what you're doing!

Avoid unnecessary error messages:

Orphaned and spurious entries in the Windows® registry can cause meaningless error messages. Cleaning up your system regularly can prevent these annoying interruptions to your work.


Options

The options dialog has three tabs where changes can be applied to the program. These tabs are: Language and Skins

The default settings in all Ashampoo WinOptimizer 5 modules are designed for maximum security. If you're not an experienced Windows® user it's best to leave them as they are - only change them if you know what you're doing and have a good reason for doing it! See the instructions in the individual modules and the corresponding help topics for more details.

The Language and Skin tab:

In the Language drop-down-box you can choose the language of the program from the list. The Skin drop-down-box allows you to pick a skin. The application appearance will be applied according to the specified skin.

The Password Window Tab:

Here you can set a password so that you do not have to enter the password on every system start.


The Windows® Registry

The registry database is the heart of every Windows® configuration. It contains all the information that Windows needs in order to function properly on your computer. This includes information on your hardware, software, system components, drivers, settings, user profiles and much more besides.

Application programs and the registry:

Almost all Windows® applications and programs also store their settings in the Windows® registry. The only exception to this rule are old, 16-bit applications written for Windows® 3.x which you should no longer use unless you absolutely have to.

Garbage left in the registry when you remove programs:

In addition to their automatic installation routines most application programs now also store information enabling you to removing the application from your computer later - either with the Add/Remove Programs facility in the Control Panel or with a separate uninstaller provided with the program.

Unfortunately, both of these uninstall methods usually leave an amazing number of obsolete program entries and references in the Windows® registry. Things are even worse if you simply delete the application yourself without using the uninstaller, or move its files and folders to another location. Then even more orphaned entries are left in the registry.

(Ahem: For significantly more effective application removal try [image] Ashampoo UnInstaller Suite.)

Consequences of a growing registry:

Your registry grows continually as the number of redundant and orphaned entries increases, and this makes your system slower and slower because Windows® has to work its way through a much bigger database every time it accesses it. Since even simple actions like mouse clicks and keypresses can generate literally scores of registry accesses this can create a very significant processing overhead.

Furthermore, the entire registry is always loaded into your computer's memory, so a bloated registry also hogs more and more memory, making it unavailable to other applications.

Advantages of an optimized registry:

As you can imagine, this means that having an optimized registry is very important for a smooth, fast Windows® system. At the same time, it's also important to understand that precisely because the registry is such a crucial part of Windows®, editing it always involves an element of risk. See Security for details on this issue.

Ashampoo WinOptimizer 5 seeks out and safely deletes all this garbage clogging up your registry, getting your Windows® system back up to speed. Many experienced Windows® users routinely reinstall Windows® and all their software once every year or so because of this "registry clogging". If you use Ashampoo WinOptimizer 5 regularly you can avoid having perform this annoying chore!


Multiple System Folders?

Which folder is the Windows® system folder?

Windows® always only has one system folder, which is called SYSTEM under Windows® 9x and SYSTEM32 under Windows® 2000 and XP.

If the DLL a program wants is not found in the program's own folder, Windows® only looks in two other places: the folder defined as the system folder and the Windows folder.

WINNT\SYSTEM and WINNT\SYSTEM32

However, under Windows® 2000 and XP you may notice that some DLLs are located in a folder called WINNT\SYSTEM, and that DLL Cleaner tells you that it is safe to delete these files because they are "not in the system folder".

What is going on here? This folder is sometimes created automatically by programs designed with Windows® 9x in mind. If they don't find a folder called SYSTEM they simply create it and store their DLLs there (this is a little like gatecrashing someone else's party, but who are we to complain).

However, since there is only one real system folder (which is defined in the Windows® configuration) this folder is actually treated as a normal program folder. If your system folder is WINNT\SYSTEM32 and a redundant duplicate DLL is stored in WINNT\SYSTEM you really can safely delete the file stored in WINNT\SYSTEM.

Subfolders of the system folder:

The same applies to subfolders of the system folder. Many programs store their DLLs in subfolders of the system folder which they create themselves. Only DLLs actually located in the system folder itself are regarded as being in the system folder. Duplicates in subfolders can safely be deleted.


Windows® 2000 and XP

Windows® 2000, XP and Windows Vista™

You need full administrator rights to run Ashampoo WinOptimizer 5 under Windows® 2000 and Windows® XP. This is because Ashampoo WinOptimizer 5 accesses and deletes registry entries and other system components that are only accessible to system administrators.

If you attempt to start Ashampoo WinOptimizer 5 under these operating systems when you are not logged on with administrator rights you will receive an error message. This is a security measure that prevents changes to the system configuration by unauthorized users.


Getting Help

Help documentation

Ashampoo WinOptimizer 5 has a fully context-sensitive help system. To display the online help file just click on the Help button displayed in every screen or select Help in the Help menu at any point to view the topic of this help file most relevant to what you are currently doing. If you get really stuck you can contact Ashampoo Support, but please study the help carefully first -- we've put a lot of effort into making it as comprehensive as possible and chances are you'll find the answer here if you look!

Find required information

Getting started

This online help system is designed to make it easy to find what you need quickly and easily. The first time you use the program you should study the topics in the Introduction section; this will give you the grounding you need and help you to understand how the program works.

Help Contents

If selecting Help doesn't automatically open the online help at the topic you need the first place to look is in the Contents. If the Contents isn't currently displayed you can display it by clicking on the Contents tab in the left-hand pane of the help window (click on the Show icon in the help toolbar to display the tabs if they are not visible). The help system takes a "learning by doing" approach and you will find topics devoted to all the common procedures that you can perform with the program. Additional useful information is also available in the Reference section.

The Index

To display the index just click on the Index tab in the help window (click on the Show icon in the help toolbar to display the tabs if they are not visible). Then either scroll through the list of keywords or enter a keyword in the field at the top. When you have found a keyword that interests you double-click on it to display the topic referenced by the keyword.

Searching

If you don't find what you need in the contents or the index you can also perform a full-text search on the entire help system. Just click on the Search tab in the help window (click on the Show icon in the help toolbar to display the tabs if they are not visible). Then type in the word or phrase you want to search for in the field at the top of the search pane and click on the List Topics button to perform the search.


Ashampoo Support

Ashampoo Support

If you have any problems or questions about this program please contact our support hotline staff at one of the addresses shown below. You can also contact support directly by selecting the options in the 'Internet' menu within the program.

Ashampoo Contact Adresses
Website: http://www.ashampoo.com

Support: http://www.ashampoo.com/support

E-Mail Support: sis@ashampoo.com

Mail adress: ashampoo GmbH & Co. KG

Felix-Wankel-Str. 16

26125 Oldenburg

Germany


dropdown

About the Banner Advertising
Program Info

This program uses a completely new advertising concept:

The shareware and registered free trial versions of Ashampoo WinOptimizer Platinum Suite are financed with advertising banners displayed at the bottom of the file manager screen. However, this is done without any of the adware software that is now receiving increasing public criticism. Unlike other advertising-financed software, this program:

· Doesn't go online in the background.
· Doesn't collect any information about you or your computer.
· Only contacts OUR website to download selected advertising banners.
· Only goes online when you tell it to.
· Lets you select the banners you want to see.

The spyware and E.T. program controversy:

Recently, the adware modules that display advertising banners in many shareware applications have been the object of growing criticism. These modules are accused of being "spyware" and "E.T. programs" - i.e. programs that collect information on your machine and then "phone home" when you go online, transferring the data to unknown advertisers or other information collectors.

Many people are justly concerned about this. If an adware program goes online in the background you have no way of knowing what it's doing, what information it's collecting on your machine and where it's sending it. This is a security hazard and it makes sense to avoid it.

We have now implemented our own banner advertising system. Since we programmed it ourselves from start to finish without any outside help we are 100% positive that it's completely transparent and doesn't do anything that you don't know about.

How the Ashmapoo banner system works:

Ashampoo WinOptimizer Platinum Suite comes with a small package of banners that are saved on your hard disk in their own folder. After you have tested WinOptimizer Platinum Suite for 14 days a message will be displayed every time you start the program, asking you if you want to go online and download new banners. When you download and install the new banners the message will stop appearing for another 14 days.

What happens when you download the banners:

If you click on "Yes" the program will then dial your Internet connection (if you aren't already online), start your Internet browser and take you to the banner download page at the Ashampoo website. Here you will be able to choose the type of banners you want to see (topics, companies etc.), and you may also be presented with other options. When you have made your selections the banners will be downloaded in a self-installing EXE file. After you complete the download you must start the EXE file to install the new banners. The old banners are deleted automatically during this process. (If you don't install the new banners the nag message asking you to download new banners will still be displayed.)

That's it. Nothing else. No information of any kind is transferred in either direction. All you do is download the selected banners and install them yourself.

What happens if you don't download the banners:

Nothing. Well, almost nothing. If you don't download the new banners everything stays the way it was, with one small difference: Until you download the next package of banners the message asking you to perform the download will be displayed every time you start the program. This little "nag screen" is our subtle way of encouraging you to support our programmers by either downloading the banners or buying the program. Each new package of advertising banners suppresses the nag screen for another 14 days.

Three ways to use the program:

There are three different ways you can use this program:

1. Restricted shareware

This is the "traditional" method. When you download the program it has certain functional restrictions compared to the full version. To get rid of these restrictions you must either obtain an unlimited free trial key or buy the program. The advertising banners described above are installed and displayed with the restricted shareware version.

2. Full free trial version

When you register your shareware version (select Get Free Trial Key in the Internet menu of any module) and subscribe our free user newsletter (you can cancel this subscription at any time) you will be sent a free trial key by e-mail that will "unlock" the program so that you can test it without any restrictions and free of charge for 30 days. The advertising banners will also be deactivated for the full duration of the 30-day trial, so that you can test the program exactly as it will be if you purchase it.

3. Purchase the full version

If you decide that you like the program and wish to use it you can elect to purchase it, just as you would with ordinary shareware. Just select Buy Now in the Internet menu and follow the instructions displayed. As soon as your purchase is processed you will be sent a full version key by e-mail that will unlock the program and disable the advertising.

Summary:

In developing this new solution we believe we have successfully eliminated all the problems that have lead to justified user concerns over adware programs. The new Ashampoo advertising banner system is completely transparent:

· You decide whether or not you want to go online.
· You choose the banners you want to download.
· When you go online you see what's happening. It's an open download, with no hidden background processes.
· You only contact the Ashampoo website. And since you go online with your normal Internet browser you can see that that's true.
· If you don't want to download any banners that's okay. Then you just see a brief reminder every time you start the program.

And if you get sick of seeing the banners or the reminders you can just buy the program - believe us, we don't mind at all if you do!

Yours sincerely,

The Ashampoo Team


Add Item

Adding new items:

This function is intended for experienced users. Please don't try to add new auto-launch items if you don't have a good understanding of Windows®, the commands you are using and the proper command line syntax. Incorrect auto-launch items can cause serious problems, particularly registry entries calling system-level programs!

Current User/All Users entries on Windows® 9x systems:

Most Windows® 9x configurations (95, 98, SE, Me) will only have one user. The All Users entries are only relevant if you have configured your system for use by more than one user with the User Profiles function. (This is activated with the Passwords module in the Control Panel. See Windows® help for more details.)


pop_popupblocker

The PopUp Blocker enables you to get rid of

bothering popup windows while surfing in the internet.


Properties

The Properties button is intelligent. Even in complex command lines it always

shows you the properties of the important file that does the work when the

command line is executed. For example, in many command lines the program

rundll.exe or rundll32.exe is used to start a program library. Since rundll is

just used to start the library Properties will show you the properties of the

library, not of rundll.exe.